/* Copyright (c) 2016 Eran Duchan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

#include "nrf_font.h"

// Character bitmaps for Microsoft Sans Serif 16pt
const uint8_t microsoftSansSerif_16ptBitmaps[] = 
{
    // @0 '!' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x03, 0x80, //       ###
    0x03, 0x80, //       ###
    0x03, 0x80, //       ###
    0x07, 0x00, //      ### 
    0x07, 0x00, //      ### 
    0x07, 0x00, //      ### 
    0x0E, 0x00, //     ###  
    0x0E, 0x00, //     ###  
    0x0C, 0x00, //     ##   
    0x1C, 0x00, //    ###   
    0x1C, 0x00, //    ###   
    0x18, 0x00, //    ##    
    0x18, 0x00, //    ##    
    0x38, 0x00, //   ###    
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x70, 0x00, //  ###     
    0x70, 0x00, //  ###     
    0xE0, 0x00, // ###      
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @52 '"' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x73, 0x80, //  ###  ###
    0x73, 0x80, //  ###  ###
    0x73, 0x80, //  ###  ###
    0xE7, 0x00, // ###  ### 
    0xE7, 0x00, // ###  ### 
    0xC6, 0x00, // ##   ##  
    0xC6, 0x00, // ##   ##  
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @104 '#' (18 pixels wide)
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x39, 0xC0, //           ###  ###
    0x00, 0x39, 0xC0, //           ###  ###
    0x00, 0x73, 0x80, //          ###  ### 
    0x00, 0x73, 0x80, //          ###  ### 
    0x00, 0xE7, 0x00, //         ###  ###  
    0x07, 0xFF, 0xC0, //      #############
    0x0F, 0xFF, 0x80, //     ############# 
    0x03, 0x9C, 0x00, //       ###  ###    
    0x03, 0x9C, 0x00, //       ###  ###    
    0x07, 0x38, 0x00, //      ###  ###     
    0x07, 0x38, 0x00, //      ###  ###     
    0x0E, 0x70, 0x00, //     ###  ###      
    0x7F, 0xFC, 0x00, //  #############    
    0x7F, 0xFC, 0x00, //  #############    
    0x3D, 0xC0, 0x00, //   #### ###        
    0x39, 0xC0, 0x00, //   ###  ###        
    0x73, 0x80, 0x00, //  ###  ###         
    0x73, 0x80, 0x00, //  ###  ###         
    0xE7, 0x00, 0x00, // ###  ###          
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   

    // @182 '$' (17 pixels wide)
    0x00, 0x18, 0x00, //            ##    
    0x00, 0x18, 0x00, //            ##    
    0x00, 0xFE, 0x00, //         #######  
    0x03, 0xFF, 0x00, //       ########## 
    0x0F, 0x37, 0x80, //     ####  ## ####
    0x0E, 0x63, 0x80, //     ###  ##   ###
    0x1C, 0x63, 0x80, //    ###   ##   ###
    0x1C, 0x60, 0x00, //    ###   ##      
    0x3C, 0xC0, 0x00, //   ####  ##       
    0x1E, 0xC0, 0x00, //    #### ##       
    0x1F, 0xE0, 0x00, //    ########      
    0x07, 0xF8, 0x00, //      ########    
    0x01, 0xFC, 0x00, //        #######   
    0x01, 0x9C, 0x00, //        ##  ###   
    0x03, 0x1C, 0x00, //       ##   ###   
    0xE3, 0x1C, 0x00, // ###   ##   ###   
    0xE3, 0x38, 0x00, // ###   ##  ###    
    0xE6, 0x38, 0x00, // ###  ##   ###    
    0xF6, 0xF0, 0x00, // #### ## ####     
    0x7F, 0xE0, 0x00, //  ##########      
    0x3F, 0x80, 0x00, //   #######        
    0x0C, 0x00, 0x00, //     ##           
    0x18, 0x00, 0x00, //    ##            
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @260 '%' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x07, 0xC0, 0xE0, //      #####      ###
    0x1F, 0xE1, 0xC0, //    ########    ### 
    0x38, 0xE3, 0x80, //   ###   ###   ###  
    0x70, 0xE7, 0x00, //  ###    ###  ###   
    0x70, 0xE7, 0x00, //  ###    ###  ###   
    0x70, 0xEE, 0x00, //  ###    ### ###    
    0xE1, 0xDC, 0x00, // ###    ### ###     
    0xF3, 0xB8, 0x00, // ####  ### ###      
    0x7F, 0x70, 0x00, //  ####### ###       
    0x3E, 0xE7, 0xC0, //   ##### ###  ##### 
    0x01, 0xDF, 0xE0, //        ### ########
    0x03, 0xF8, 0xE0, //       #######   ###
    0x03, 0xF0, 0xE0, //       ######    ###
    0x07, 0x70, 0xE0, //      ### ###    ###
    0x0E, 0x70, 0xE0, //     ###  ###    ###
    0x1C, 0xE1, 0xC0, //    ###  ###    ### 
    0x38, 0xF3, 0x80, //   ###   ####  ###  
    0x70, 0x7F, 0x00, //  ###     #######   
    0xE0, 0x3E, 0x00, // ###       #####    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    

    // @338 '&' (17 pixels wide)
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x3E, 0x00, //           #####  
    0x00, 0xFF, 0x00, //         ######## 
    0x01, 0xC7, 0x00, //        ###   ### 
    0x03, 0x87, 0x00, //       ###    ### 
    0x03, 0x87, 0x00, //       ###    ### 
    0x03, 0x8E, 0x00, //       ###   ###  
    0x03, 0xFC, 0x00, //       ########   
    0x03, 0xF8, 0x00, //       #######    
    0x03, 0xE0, 0x00, //       #####      
    0x0F, 0xE0, 0x00, //     #######      
    0x1E, 0xE3, 0x80, //    #### ###   ###
    0x38, 0xF7, 0x00, //   ###   #### ### 
    0x70, 0xFF, 0x00, //  ###    ######## 
    0x70, 0x7E, 0x00, //  ###     ######  
    0x70, 0x7C, 0x00, //  ###     #####   
    0xF0, 0x7C, 0x00, // ####     #####   
    0x70, 0xFC, 0x00, //  ###    ######   
    0x7F, 0xFE, 0x00, //  ##############  
    0x3F, 0x98, 0x00, //   #######  ##    
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @416 ''' (4 pixels wide)
    0x00, //     
    0x00, //     
    0x70, //  ###
    0x70, //  ###
    0x70, //  ###
    0xE0, // ### 
    0xE0, // ### 
    0xC0, // ##  
    0xC0, // ##  
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     

    // @442 '(' (12 pixels wide)
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x70, //          ###
    0x00, 0xE0, //         ### 
    0x01, 0xC0, //        ###  
    0x03, 0x80, //       ###   
    0x03, 0x00, //       ##    
    0x07, 0x00, //      ###    
    0x0E, 0x00, //     ###     
    0x1C, 0x00, //    ###      
    0x1C, 0x00, //    ###      
    0x38, 0x00, //   ###       
    0x38, 0x00, //   ###       
    0x38, 0x00, //   ###       
    0x70, 0x00, //  ###        
    0x70, 0x00, //  ###        
    0x70, 0x00, //  ###        
    0x70, 0x00, //  ###        
    0xE0, 0x00, // ###         
    0xE0, 0x00, // ###         
    0xE0, 0x00, // ###         
    0xE0, 0x00, // ###         
    0x60, 0x00, //  ##         
    0x70, 0x00, //  ###        
    0x70, 0x00, //  ###        
    0x70, 0x00, //  ###        

    // @494 ')' (12 pixels wide)
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0xE0, //         ### 
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0x70, //          ###
    0x00, 0xE0, //         ### 
    0x00, 0xE0, //         ### 
    0x01, 0xC0, //        ###  
    0x01, 0xC0, //        ###  
    0x03, 0x80, //       ###   
    0x03, 0x80, //       ###   
    0x07, 0x00, //      ###    
    0x0E, 0x00, //     ###     
    0x1C, 0x00, //    ###      
    0x18, 0x00, //    ##       
    0x30, 0x00, //   ##        
    0xE0, 0x00, // ###         

    // @546 '*' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x0E, 0x00, //     ###  
    0x0E, 0x00, //     ###  
    0x6D, 0x80, //  ## ## ##
    0xFF, 0x80, // #########
    0x1C, 0x00, //    ###   
    0x3C, 0x00, //   ####   
    0xFE, 0x00, // #######  
    0x6C, 0x00, //  ## ##   
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @598 '+' (14 pixels wide)
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x01, 0xC0, //        ###    
    0x01, 0xC0, //        ###    
    0x01, 0xC0, //        ###    
    0x03, 0x80, //       ###     
    0x03, 0x80, //       ###     
    0x7F, 0xFC, //  #############
    0xFF, 0xF8, // ############# 
    0x07, 0x00, //      ###      
    0x07, 0x00, //      ###      
    0x0E, 0x00, //     ###       
    0x0E, 0x00, //     ###       
    0x1E, 0x00, //    ####       
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               

    // @650 ',' (5 pixels wide)
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x38, //   ###
    0x38, //   ###
    0x70, //  ### 
    0x30, //   ## 
    0x60, //  ##  
    0x60, //  ##  
    0xC0, // ##   
    0x00, //      

    // @676 '-' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x7F, 0x80, //  ########
    0xFF, 0x00, // ######## 
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @728 '.' (4 pixels wide)
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x70, //  ###
    0x70, //  ###
    0xE0, // ### 
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     

    // @754 '/' (15 pixels wide)
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x0E, //             ###
    0x00, 0x1C, //            ### 
    0x00, 0x1C, //            ### 
    0x00, 0x38, //           ###  
    0x00, 0x78, //          ####  
    0x00, 0x70, //          ###   
    0x00, 0xE0, //         ###    
    0x00, 0xE0, //         ###    
    0x01, 0xC0, //        ###     
    0x03, 0x80, //       ###      
    0x03, 0x80, //       ###      
    0x07, 0x00, //      ###       
    0x0E, 0x00, //     ###        
    0x0E, 0x00, //     ###        
    0x1C, 0x00, //    ###         
    0x38, 0x00, //   ###          
    0x38, 0x00, //   ###          
    0x70, 0x00, //  ###           
    0xE0, 0x00, // ###            
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                

    // @806 '0' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0xFC, //         ######  
    0x03, 0xFF, //       ##########
    0x07, 0x8F, //      ####   ####
    0x0F, 0x07, //     ####     ###
    0x0E, 0x07, //     ###      ###
    0x1C, 0x07, //    ###       ###
    0x38, 0x07, //   ###        ###
    0x38, 0x07, //   ###        ###
    0x38, 0x07, //   ###        ###
    0x70, 0x0E, //  ###        ### 
    0x70, 0x0E, //  ###        ### 
    0x70, 0x1C, //  ###       ###  
    0xE0, 0x1C, // ###        ###  
    0xE0, 0x3C, // ###       ####  
    0xE0, 0x38, // ###       ###   
    0xE0, 0x70, // ###      ###    
    0xF1, 0xE0, // ####   ####     
    0x7F, 0xC0, //  #########      
    0x3F, 0x00, //   ######        
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @858 '1' (10 pixels wide)
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0xC0, //         ##
    0x01, 0xC0, //        ###
    0x03, 0xC0, //       ####
    0x0F, 0x80, //     ##### 
    0x7F, 0x80, //  ######## 
    0xFB, 0x80, // ##### ### 
    0x07, 0x00, //      ###  
    0x07, 0x00, //      ###  
    0x07, 0x00, //      ###  
    0x0E, 0x00, //     ###   
    0x0E, 0x00, //     ###   
    0x0E, 0x00, //     ###   
    0x1C, 0x00, //    ###    
    0x1C, 0x00, //    ###    
    0x1C, 0x00, //    ###    
    0x38, 0x00, //   ###     
    0x38, 0x00, //   ###     
    0x38, 0x00, //   ###     
    0x70, 0x00, //  ###      
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0x00, //           

    // @910 '2' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x3F, 0x80, //           #######  
    0x00, 0xFF, 0xC0, //         ########## 
    0x01, 0xE1, 0xE0, //        ####    ####
    0x03, 0x80, 0xE0, //       ###       ###
    0x07, 0x00, 0xE0, //      ###        ###
    0x0F, 0x00, 0xE0, //     ####        ###
    0x00, 0x01, 0xC0, //                ### 
    0x00, 0x03, 0x80, //               ###  
    0x00, 0x07, 0x80, //              ####  
    0x00, 0x0E, 0x00, //             ###    
    0x00, 0x3C, 0x00, //           ####     
    0x00, 0x78, 0x00, //          ####      
    0x01, 0xE0, 0x00, //        ####        
    0x07, 0x80, 0x00, //      ####          
    0x0F, 0x00, 0x00, //     ####           
    0x1C, 0x00, 0x00, //    ###             
    0x38, 0x00, 0x00, //   ###              
    0x7F, 0xFE, 0x00, //  ##############    
    0xFF, 0xFC, 0x00, // ##############     
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    

    // @988 '3' (17 pixels wide)
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x7E, 0x00, //          ######  
    0x01, 0xFF, 0x80, //        ##########
    0x07, 0x87, 0x80, //      ####    ####
    0x07, 0x03, 0x80, //      ###      ###
    0x0E, 0x03, 0x80, //     ###       ###
    0x00, 0x03, 0x80, //               ###
    0x00, 0x07, 0x00, //              ### 
    0x00, 0x1E, 0x00, //            ####  
    0x00, 0xF8, 0x00, //         #####    
    0x01, 0xFC, 0x00, //        #######   
    0x00, 0x1E, 0x00, //            ####  
    0x00, 0x0E, 0x00, //             ###  
    0x00, 0x0E, 0x00, //             ###  
    0x00, 0x0E, 0x00, //             ###  
    0x70, 0x1C, 0x00, //  ###       ###   
    0xF0, 0x3C, 0x00, // ####      ####   
    0x78, 0x78, 0x00, //  ####    ####    
    0x7F, 0xF0, 0x00, //  ###########     
    0x1F, 0x80, 0x00, //    ######        
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @1066 '4' (17 pixels wide)
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x03, 0x80, //               ###
    0x00, 0x07, 0x80, //              ####
    0x00, 0x0F, 0x80, //             #####
    0x00, 0x1F, 0x00, //            ##### 
    0x00, 0x3F, 0x00, //           ###### 
    0x00, 0x77, 0x00, //          ### ### 
    0x00, 0xEE, 0x00, //         ### ###  
    0x01, 0xCE, 0x00, //        ###  ###  
    0x03, 0x8E, 0x00, //       ###   ###  
    0x07, 0x1C, 0x00, //      ###   ###   
    0x0E, 0x1C, 0x00, //     ###    ###   
    0x1C, 0x1C, 0x00, //    ###     ###   
    0x38, 0x38, 0x00, //   ###     ###    
    0x7F, 0xFF, 0x00, //  ############### 
    0xFF, 0xFF, 0x00, // ################ 
    0x00, 0x70, 0x00, //          ###     
    0x00, 0x70, 0x00, //          ###     
    0x00, 0x70, 0x00, //          ###     
    0x00, 0xE0, 0x00, //         ###      
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @1144 '5' (17 pixels wide)
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x03, 0xFF, 0x80, //       ###########
    0x03, 0xFF, 0x80, //       ###########
    0x07, 0x00, 0x00, //      ###         
    0x07, 0x00, 0x00, //      ###         
    0x0F, 0x00, 0x00, //     ####         
    0x0E, 0x00, 0x00, //     ###          
    0x0F, 0xF8, 0x00, //     #########    
    0x1F, 0xFC, 0x00, //    ###########   
    0x1E, 0x3E, 0x00, //    ####   #####  
    0x3C, 0x1E, 0x00, //   ####     ####  
    0x00, 0x0E, 0x00, //             ###  
    0x00, 0x1E, 0x00, //            ####  
    0x00, 0x1C, 0x00, //            ###   
    0x00, 0x1C, 0x00, //            ###   
    0xE0, 0x38, 0x00, // ###       ###    
    0xE0, 0x70, 0x00, // ###      ###     
    0xF1, 0xE0, 0x00, // ####   ####      
    0xFF, 0xC0, 0x00, // ##########       
    0x3F, 0x00, 0x00, //   ######         
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @1222 '6' (17 pixels wide)
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x7E, 0x00, //          ######  
    0x01, 0xFF, 0x00, //        ######### 
    0x07, 0xC7, 0x80, //      #####   ####
    0x0F, 0x03, 0x80, //     ####      ###
    0x0E, 0x03, 0x80, //     ###       ###
    0x1C, 0x00, 0x00, //    ###           
    0x1C, 0x00, 0x00, //    ###           
    0x3B, 0xF0, 0x00, //   ### ######     
    0x3F, 0xFC, 0x00, //   ############   
    0x7C, 0x3C, 0x00, //  #####    ####   
    0x70, 0x1C, 0x00, //  ###       ###   
    0x70, 0x1C, 0x00, //  ###       ###   
    0xE0, 0x1C, 0x00, // ###        ###   
    0xE0, 0x1C, 0x00, // ###        ###   
    0xE0, 0x38, 0x00, // ###       ###    
    0xF0, 0x78, 0x00, // ####     ####    
    0xF8, 0xF0, 0x00, // #####   ####     
    0x7F, 0xE0, 0x00, //  ##########      
    0x3F, 0x80, 0x00, //   #######        
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @1300 '7' (17 pixels wide)
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x1F, 0xFF, 0x80, //    ##############
    0x1F, 0xFF, 0x80, //    ##############
    0x00, 0x07, 0x00, //              ### 
    0x00, 0x0E, 0x00, //             ###  
    0x00, 0x1E, 0x00, //            ####  
    0x00, 0x1C, 0x00, //            ###   
    0x00, 0x38, 0x00, //           ###    
    0x00, 0x70, 0x00, //          ###     
    0x00, 0xE0, 0x00, //         ###      
    0x00, 0xE0, 0x00, //         ###      
    0x01, 0xC0, 0x00, //        ###       
    0x03, 0x80, 0x00, //       ###        
    0x07, 0x00, 0x00, //      ###         
    0x0E, 0x00, 0x00, //     ###          
    0x0E, 0x00, 0x00, //     ###          
    0x1C, 0x00, 0x00, //    ###           
    0x38, 0x00, 0x00, //   ###            
    0x70, 0x00, 0x00, //  ###             
    0xF0, 0x00, 0x00, // ####             
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @1378 '8' (17 pixels wide)
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x7F, 0x00, //          ####### 
    0x01, 0xFF, 0x80, //        ##########
    0x03, 0xC7, 0x80, //       ####   ####
    0x07, 0x83, 0x80, //      ####     ###
    0x07, 0x03, 0x80, //      ###      ###
    0x07, 0x07, 0x00, //      ###     ### 
    0x07, 0x0F, 0x00, //      ###    #### 
    0x07, 0x9E, 0x00, //      ####  ####  
    0x03, 0xF8, 0x00, //       #######    
    0x07, 0xF8, 0x00, //      ########    
    0x1F, 0x3C, 0x00, //    #####  ####   
    0x3C, 0x1E, 0x00, //   ####     ####  
    0x78, 0x0E, 0x00, //  ####       ###  
    0x70, 0x0E, 0x00, //  ###        ###  
    0x70, 0x1C, 0x00, //  ###       ###   
    0xF0, 0x1C, 0x00, // ####       ###   
    0x78, 0x78, 0x00, //  ####    ####    
    0x7F, 0xF0, 0x00, //  ###########     
    0x1F, 0xC0, 0x00, //    #######       
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @1456 '9' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0xFC, //         ######  
    0x03, 0xFE, //       ######### 
    0x07, 0x8F, //      ####   ####
    0x0E, 0x07, //     ###      ###
    0x1C, 0x07, //    ###       ###
    0x1C, 0x07, //    ###       ###
    0x38, 0x07, //   ###        ###
    0x38, 0x07, //   ###        ###
    0x38, 0x0F, //   ###       ####
    0x3C, 0x3E, //   ####    ##### 
    0x1F, 0xFE, //    ############ 
    0x0F, 0xDC, //     ###### ###  
    0x00, 0x1C, //            ###  
    0x00, 0x38, //           ###   
    0xE0, 0x78, // ###      ####   
    0xE0, 0xF0, // ###     ####    
    0xE1, 0xE0, // ###    ####     
    0xFF, 0xC0, // ##########      
    0x7F, 0x00, //  #######        
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @1508 ':' (8 pixels wide)
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x07, //      ###
    0x0E, //     ### 
    0x0E, //     ### 
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x70, //  ###    
    0x70, //  ###    
    0xE0, // ###     
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         
    0x00, //         

    // @1534 ';' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x03, 0x80, //       ###
    0x07, 0x00, //      ### 
    0x07, 0x00, //      ### 
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x38, 0x00, //   ###    
    0x38, 0x00, //   ###    
    0x70, 0x00, //  ###     
    0x30, 0x00, //   ##     
    0x60, 0x00, //  ##      
    0x60, 0x00, //  ##      
    0xC0, 0x00, // ##       
    0x00, 0x00, //          

    // @1586 '<' (15 pixels wide)
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x06, //              ##
    0x00, 0x1E, //            ####
    0x00, 0xFC, //         ###### 
    0x07, 0xE0, //      ######    
    0x1F, 0x80, //    ######      
    0x7C, 0x00, //  #####         
    0xF0, 0x00, // ####           
    0xF8, 0x00, // #####          
    0x3E, 0x00, //   #####        
    0x1F, 0x80, //    ######      
    0x07, 0xE0, //      ######    
    0x01, 0xF0, //        #####   
    0x00, 0x60, //          ##    
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                

    // @1638 '=' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x1F, 0xFF, //    #############
    0x3F, 0xFE, //   ############# 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x7F, 0xFC, //  #############  
    0xFF, 0xF8, // #############   
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @1690 '>' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x0C, 0x00, //     ##          
    0x0F, 0x00, //     ####        
    0x0F, 0xC0, //     ######      
    0x03, 0xF0, //       ######    
    0x00, 0xFC, //         ######  
    0x00, 0x3F, //           ######
    0x00, 0x0E, //             ### 
    0x00, 0x7E, //          ###### 
    0x01, 0xF8, //        ######   
    0x0F, 0xC0, //     ######      
    0x3E, 0x00, //   #####         
    0x78, 0x00, //  ####           
    0xC0, 0x00, // ##              
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @1742 '?' (13 pixels wide)
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x07, 0xE0, //      ######  
    0x0F, 0xF8, //     #########
    0x1C, 0x78, //    ###   ####
    0x38, 0x38, //   ###     ###
    0x70, 0x38, //  ###      ###
    0xF0, 0x38, // ####      ###
    0x00, 0x70, //          ### 
    0x00, 0xE0, //         ###  
    0x03, 0xC0, //       ####   
    0x07, 0x00, //      ###     
    0x0E, 0x00, //     ###      
    0x1C, 0x00, //    ###       
    0x38, 0x00, //   ###        
    0x38, 0x00, //   ###        
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x70, 0x00, //  ###         
    0x70, 0x00, //  ###         
    0xE0, 0x00, // ###          
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              

    // @1794 '@' (27 pixels wide)
    0x00, 0x00, 0x00, 0x00, //                            
    0x00, 0x00, 0x00, 0x00, //                            
    0x00, 0x03, 0xFC, 0x00, //               ########     
    0x00, 0x1F, 0xFF, 0x00, //            #############   
    0x00, 0x7E, 0x0F, 0x80, //          ######     #####  
    0x00, 0xF0, 0x03, 0xC0, //         ####          #### 
    0x01, 0xC0, 0x01, 0xC0, //        ###             ### 
    0x03, 0x87, 0xDD, 0xE0, //       ###    ##### ### ####
    0x07, 0x1F, 0xF8, 0xE0, //      ###   ##########   ###
    0x0E, 0x3C, 0xF8, 0xE0, //     ###   ####  #####   ###
    0x1C, 0x70, 0x71, 0xC0, //    ###   ###     ###   ### 
    0x1C, 0xE0, 0xF1, 0xC0, //    ###  ###     ####   ### 
    0x39, 0xC0, 0xE1, 0xC0, //   ###  ###      ###    ### 
    0x39, 0xC1, 0xC3, 0x80, //   ###  ###     ###    ###  
    0x73, 0x81, 0xC3, 0x80, //  ###  ###      ###    ###  
    0x73, 0x83, 0x87, 0x00, //  ###  ###     ###    ###   
    0x73, 0x87, 0x8F, 0x00, //  ###  ###    ####   ####   
    0xF7, 0x07, 0x1E, 0x00, // #### ###     ###   ####    
    0xE7, 0x9F, 0x3C, 0x00, // ###  ####  #####  ####     
    0xF3, 0xFF, 0xF0, 0x00, // ####  ##############       
    0x73, 0xE7, 0xC0, 0x00, //  ###  #####  #####         
    0x78, 0x00, 0x00, 0x00, //  ####                      
    0x7C, 0x00, 0x00, 0x00, //  #####                     
    0x3F, 0x01, 0x80, 0x00, //   ######       ##          
    0x1F, 0xFF, 0xC0, 0x00, //    ###############         
    0x03, 0xFE, 0x00, 0x00, //       #########            

    // @1898 'A' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x07, 0xC0, //              ##### 
    0x00, 0x07, 0xC0, //              ##### 
    0x00, 0x0F, 0xC0, //             ###### 
    0x00, 0x1D, 0xC0, //            ### ### 
    0x00, 0x1D, 0xC0, //            ### ### 
    0x00, 0x39, 0xC0, //           ###  ### 
    0x00, 0x71, 0xC0, //          ###   ### 
    0x00, 0xE1, 0xC0, //         ###    ### 
    0x00, 0xE1, 0xC0, //         ###    ### 
    0x01, 0xC1, 0xC0, //        ###     ### 
    0x03, 0x81, 0xC0, //       ###      ### 
    0x07, 0xFF, 0xC0, //      ############# 
    0x07, 0xFF, 0xE0, //      ##############
    0x0E, 0x01, 0xE0, //     ###        ####
    0x1C, 0x00, 0xE0, //    ###          ###
    0x1C, 0x00, 0xE0, //    ###          ###
    0x38, 0x00, 0xE0, //   ###           ###
    0x70, 0x00, 0xE0, //  ###            ###
    0xE0, 0x00, 0xE0, // ###             ###
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    

    // @1976 'B' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x03, 0xFF, 0x80, //       ###########  
    0x03, 0xFF, 0xE0, //       #############
    0x03, 0x81, 0xE0, //       ###      ####
    0x07, 0x00, 0xE0, //      ###        ###
    0x07, 0x00, 0xE0, //      ###        ###
    0x07, 0x00, 0xE0, //      ###        ###
    0x0E, 0x01, 0xC0, //     ###        ### 
    0x0E, 0x07, 0x80, //     ###      ####  
    0x0F, 0xFF, 0x00, //     ############   
    0x1F, 0xFF, 0x00, //    #############   
    0x1C, 0x07, 0x80, //    ###       ####  
    0x1C, 0x03, 0x80, //    ###        ###  
    0x38, 0x03, 0x80, //   ###         ###  
    0x38, 0x03, 0x80, //   ###         ###  
    0x38, 0x07, 0x00, //   ###        ###   
    0x70, 0x07, 0x00, //  ###         ###   
    0x70, 0x1E, 0x00, //  ###       ####    
    0x7F, 0xFC, 0x00, //  #############     
    0xFF, 0xF0, 0x00, // ############       
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    

    // @2054 'C' (20 pixels wide)
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x3F, 0x80, //           #######   
    0x01, 0xFF, 0xC0, //        ###########  
    0x03, 0xC1, 0xE0, //       ####     #### 
    0x07, 0x80, 0xF0, //      ####       ####
    0x0E, 0x00, 0x70, //     ###          ###
    0x1C, 0x00, 0xF0, //    ###          ####
    0x1C, 0x00, 0x00, //    ###              
    0x38, 0x00, 0x00, //   ###               
    0x38, 0x00, 0x00, //   ###               
    0x70, 0x00, 0x00, //  ###                
    0x70, 0x00, 0x00, //  ###                
    0x70, 0x00, 0x00, //  ###                
    0x70, 0x00, 0x00, //  ###                
    0xF0, 0x03, 0x80, // ####          ###   
    0x70, 0x07, 0x00, //  ###         ###    
    0x70, 0x0E, 0x00, //  ###        ###     
    0x7C, 0x3E, 0x00, //  #####    #####     
    0x3F, 0xF8, 0x00, //   ###########       
    0x0F, 0xE0, 0x00, //     #######         
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     

    // @2132 'D' (21 pixels wide)
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x03, 0xFF, 0x80, //       ###########    
    0x03, 0xFF, 0xE0, //       #############  
    0x03, 0x80, 0xF0, //       ###       #### 
    0x07, 0x00, 0x78, //      ###         ####
    0x07, 0x00, 0x38, //      ###          ###
    0x07, 0x00, 0x38, //      ###          ###
    0x0E, 0x00, 0x38, //     ###           ###
    0x0E, 0x00, 0x38, //     ###           ###
    0x0E, 0x00, 0x38, //     ###           ###
    0x1C, 0x00, 0x70, //    ###           ### 
    0x1C, 0x00, 0x70, //    ###           ### 
    0x1C, 0x00, 0xE0, //    ###          ###  
    0x38, 0x00, 0xE0, //   ###           ###  
    0x38, 0x01, 0xC0, //   ###          ###   
    0x38, 0x03, 0xC0, //   ###         ####   
    0x70, 0x07, 0x80, //  ###         ####    
    0x70, 0x1E, 0x00, //  ###       ####      
    0x7F, 0xFC, 0x00, //  #############       
    0xFF, 0xE0, 0x00, // ###########          
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      

    // @2210 'E' (21 pixels wide)
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x03, 0xFF, 0xF8, //       ###############
    0x03, 0xFF, 0xF8, //       ###############
    0x03, 0x80, 0x00, //       ###            
    0x07, 0x00, 0x00, //      ###             
    0x07, 0x00, 0x00, //      ###             
    0x07, 0x00, 0x00, //      ###             
    0x0E, 0x00, 0x00, //     ###              
    0x0E, 0x00, 0x00, //     ###              
    0x0F, 0xFF, 0xC0, //     ##############   
    0x1F, 0xFF, 0x80, //    ##############    
    0x1C, 0x00, 0x00, //    ###               
    0x1C, 0x00, 0x00, //    ###               
    0x38, 0x00, 0x00, //   ###                
    0x38, 0x00, 0x00, //   ###                
    0x38, 0x00, 0x00, //   ###                
    0x70, 0x00, 0x00, //  ###                 
    0x70, 0x00, 0x00, //  ###                 
    0x7F, 0xFF, 0x00, //  ###############     
    0xFF, 0xFE, 0x00, // ###############      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      

    // @2288 'F' (20 pixels wide)
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x03, 0xFF, 0xF0, //       ##############
    0x03, 0xFF, 0xF0, //       ##############
    0x03, 0x80, 0x00, //       ###           
    0x07, 0x00, 0x00, //      ###            
    0x07, 0x00, 0x00, //      ###            
    0x07, 0x00, 0x00, //      ###            
    0x0E, 0x00, 0x00, //     ###             
    0x0E, 0x00, 0x00, //     ###             
    0x0F, 0xFF, 0x80, //     #############   
    0x1F, 0xFF, 0x00, //    #############    
    0x1C, 0x00, 0x00, //    ###              
    0x1C, 0x00, 0x00, //    ###              
    0x38, 0x00, 0x00, //   ###               
    0x38, 0x00, 0x00, //   ###               
    0x38, 0x00, 0x00, //   ###               
    0x70, 0x00, 0x00, //  ###                
    0x70, 0x00, 0x00, //  ###                
    0x70, 0x00, 0x00, //  ###                
    0xE0, 0x00, 0x00, // ###                 
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     

    // @2366 'G' (20 pixels wide)
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x7F, 0x80, //          ########   
    0x01, 0xFF, 0xC0, //        ###########  
    0x07, 0xC1, 0xE0, //      #####     #### 
    0x0F, 0x00, 0xE0, //     ####        ### 
    0x1C, 0x00, 0xF0, //    ###          ####
    0x38, 0x00, 0xF0, //   ###           ####
    0x38, 0x00, 0x00, //   ###               
    0x70, 0x00, 0x00, //  ###                
    0x70, 0x00, 0x00, //  ###                
    0xE0, 0x7F, 0xC0, // ###      #########  
    0xE0, 0x7F, 0xC0, // ###      #########  
    0xE0, 0x01, 0xC0, // ###            ###  
    0xE0, 0x03, 0x80, // ###           ###   
    0xE0, 0x03, 0x80, // ###           ###   
    0xE0, 0x07, 0x80, // ###          ####   
    0xF0, 0x0F, 0x00, // ####        ####    
    0xF8, 0x3F, 0x00, // #####     ######    
    0x7F, 0xFF, 0x00, //  ###############    
    0x1F, 0xE6, 0x00, //    ########  ##     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     

    // @2444 'H' (23 pixels wide)
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x03, 0x80, 0x0E, //       ###           ###
    0x03, 0x80, 0x0E, //       ###           ###
    0x03, 0x80, 0x0E, //       ###           ###
    0x07, 0x00, 0x1C, //      ###           ### 
    0x07, 0x00, 0x1C, //      ###           ### 
    0x07, 0x00, 0x1C, //      ###           ### 
    0x0E, 0x00, 0x38, //     ###           ###  
    0x0E, 0x00, 0x38, //     ###           ###  
    0x0F, 0xFF, 0xF8, //     #################  
    0x1F, 0xFF, 0xF0, //    #################   
    0x1C, 0x00, 0x70, //    ###           ###   
    0x1C, 0x00, 0x70, //    ###           ###   
    0x38, 0x00, 0xE0, //   ###           ###    
    0x38, 0x00, 0xE0, //   ###           ###    
    0x38, 0x00, 0xE0, //   ###           ###    
    0x70, 0x01, 0xC0, //  ###           ###     
    0x70, 0x01, 0xC0, //  ###           ###     
    0x70, 0x01, 0xC0, //  ###           ###     
    0xE0, 0x03, 0x80, // ###           ###      
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        

    // @2522 'I' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x03, 0x80, //       ###
    0x03, 0x80, //       ###
    0x03, 0x80, //       ###
    0x07, 0x00, //      ### 
    0x07, 0x00, //      ### 
    0x07, 0x00, //      ### 
    0x0E, 0x00, //     ###  
    0x0E, 0x00, //     ###  
    0x0E, 0x00, //     ###  
    0x1C, 0x00, //    ###   
    0x1C, 0x00, //    ###   
    0x1C, 0x00, //    ###   
    0x38, 0x00, //   ###    
    0x38, 0x00, //   ###    
    0x38, 0x00, //   ###    
    0x70, 0x00, //  ###     
    0x70, 0x00, //  ###     
    0x70, 0x00, //  ###     
    0xE0, 0x00, // ###      
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @2574 'J' (17 pixels wide)
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x03, 0x80, //               ###
    0x00, 0x03, 0x80, //               ###
    0x00, 0x03, 0x80, //               ###
    0x00, 0x07, 0x00, //              ### 
    0x00, 0x07, 0x00, //              ### 
    0x00, 0x07, 0x00, //              ### 
    0x00, 0x0E, 0x00, //             ###  
    0x00, 0x0E, 0x00, //             ###  
    0x00, 0x0E, 0x00, //             ###  
    0x00, 0x1C, 0x00, //            ###   
    0x00, 0x1C, 0x00, //            ###   
    0x00, 0x1C, 0x00, //            ###   
    0x00, 0x38, 0x00, //           ###    
    0x70, 0x38, 0x00, //  ###      ###    
    0x70, 0x70, 0x00, //  ###     ###     
    0xF0, 0x70, 0x00, // ####     ###     
    0x70, 0xE0, 0x00, //  ###    ###      
    0x7F, 0xC0, 0x00, //  #########       
    0x3F, 0x00, 0x00, //   ######         
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @2652 'K' (22 pixels wide)
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x03, 0x80, 0x3C, //       ###         ####
    0x03, 0x80, 0xF0, //       ###       ####  
    0x03, 0x81, 0xE0, //       ###      ####   
    0x07, 0x03, 0x80, //      ###      ###     
    0x07, 0x0F, 0x00, //      ###    ####      
    0x07, 0x1E, 0x00, //      ###   ####       
    0x0E, 0x38, 0x00, //     ###   ###         
    0x0E, 0xF0, 0x00, //     ### ####          
    0x0F, 0xF0, 0x00, //     ########          
    0x1F, 0xB8, 0x00, //    ###### ###         
    0x1F, 0x38, 0x00, //    #####  ###         
    0x1C, 0x3C, 0x00, //    ###    ####        
    0x38, 0x1C, 0x00, //   ###      ###        
    0x38, 0x1E, 0x00, //   ###      ####       
    0x38, 0x0E, 0x00, //   ###       ###       
    0x70, 0x0E, 0x00, //  ###        ###       
    0x70, 0x07, 0x00, //  ###         ###      
    0x70, 0x07, 0x00, //  ###         ###      
    0xE0, 0x03, 0x80, // ###           ###     
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       

    // @2730 'L' (14 pixels wide)
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x03, 0x80, //       ###     
    0x03, 0x80, //       ###     
    0x03, 0x80, //       ###     
    0x07, 0x00, //      ###      
    0x07, 0x00, //      ###      
    0x07, 0x00, //      ###      
    0x0E, 0x00, //     ###       
    0x0E, 0x00, //     ###       
    0x0E, 0x00, //     ###       
    0x1C, 0x00, //    ###        
    0x1C, 0x00, //    ###        
    0x1C, 0x00, //    ###        
    0x38, 0x00, //   ###         
    0x38, 0x00, //   ###         
    0x38, 0x00, //   ###         
    0x70, 0x00, //  ###          
    0x70, 0x00, //  ###          
    0x7F, 0xFC, //  #############
    0xFF, 0xF8, // ############# 
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               

    // @2782 'M' (25 pixels wide)
    0x00, 0x00, 0x00, 0x00, //                          
    0x00, 0x00, 0x00, 0x00, //                          
    0x03, 0xE0, 0x07, 0x80, //       #####          ####
    0x03, 0xE0, 0x0F, 0x80, //       #####         #####
    0x03, 0xE0, 0x1F, 0x80, //       #####        ######
    0x07, 0xE0, 0x1F, 0x00, //      ######        ##### 
    0x07, 0xE0, 0x3F, 0x00, //      ######       ###### 
    0x07, 0xE0, 0x77, 0x00, //      ######      ### ### 
    0x0E, 0xE0, 0x7E, 0x00, //     ### ###      ######  
    0x0E, 0xE0, 0xEE, 0x00, //     ### ###     ### ###  
    0x0E, 0xE1, 0xCE, 0x00, //     ### ###    ###  ###  
    0x1C, 0xE1, 0xDC, 0x00, //    ###  ###    ### ###   
    0x1C, 0xE3, 0x9C, 0x00, //    ###  ###   ###  ###   
    0x1C, 0xE7, 0x1C, 0x00, //    ###  ###  ###   ###   
    0x38, 0xE7, 0x38, 0x00, //   ###   ###  ###  ###    
    0x38, 0xEE, 0x38, 0x00, //   ###   ### ###   ###    
    0x38, 0xFC, 0x38, 0x00, //   ###   ######    ###    
    0x70, 0xFC, 0x70, 0x00, //  ###    ######   ###     
    0x70, 0xF8, 0x70, 0x00, //  ###    #####    ###     
    0x70, 0xF0, 0x70, 0x00, //  ###    ####     ###     
    0xE0, 0xF0, 0xE0, 0x00, // ###     ####    ###      
    0x00, 0x00, 0x00, 0x00, //                          
    0x00, 0x00, 0x00, 0x00, //                          
    0x00, 0x00, 0x00, 0x00, //                          
    0x00, 0x00, 0x00, 0x00, //                          
    0x00, 0x00, 0x00, 0x00, //                          

    // @2886 'N' (23 pixels wide)
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x03, 0xC0, 0x0E, //       ####          ###
    0x03, 0xC0, 0x0E, //       ####          ###
    0x03, 0xE0, 0x0E, //       #####         ###
    0x07, 0xE0, 0x1C, //      ######        ### 
    0x07, 0xE0, 0x1C, //      ######        ### 
    0x07, 0x70, 0x1C, //      ### ###       ### 
    0x0E, 0x70, 0x38, //     ###  ###      ###  
    0x0E, 0x78, 0x38, //     ###  ####     ###  
    0x0E, 0x38, 0x38, //     ###   ###     ###  
    0x1C, 0x38, 0x70, //    ###    ###    ###   
    0x1C, 0x1C, 0x70, //    ###     ###   ###   
    0x1C, 0x1C, 0x70, //    ###     ###   ###   
    0x38, 0x1C, 0xE0, //   ###      ###  ###    
    0x38, 0x0E, 0xE0, //   ###       ### ###    
    0x38, 0x0E, 0xE0, //   ###       ### ###    
    0x70, 0x0F, 0xC0, //  ###        ######     
    0x70, 0x07, 0xC0, //  ###         #####     
    0x70, 0x07, 0xC0, //  ###         #####     
    0xE0, 0x03, 0x80, // ###           ###      
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        

    // @2964 'O' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x7F, 0x00, //          #######   
    0x01, 0xFF, 0x80, //        ##########  
    0x07, 0xC3, 0xC0, //      #####    #### 
    0x0F, 0x01, 0xE0, //     ####       ####
    0x1C, 0x00, 0xE0, //    ###          ###
    0x38, 0x00, 0xE0, //   ###           ###
    0x38, 0x00, 0xE0, //   ###           ###
    0x70, 0x00, 0xE0, //  ###            ###
    0x70, 0x00, 0xE0, //  ###            ###
    0xE0, 0x01, 0xC0, // ###            ### 
    0xE0, 0x01, 0xC0, // ###            ### 
    0xE0, 0x03, 0x80, // ###           ###  
    0xE0, 0x03, 0x80, // ###           ###  
    0xE0, 0x07, 0x00, // ###          ###   
    0xE0, 0x0E, 0x00, // ###         ###    
    0xF0, 0x1E, 0x00, // ####       ####    
    0xF8, 0x78, 0x00, // #####    ####      
    0x7F, 0xF0, 0x00, //  ###########       
    0x1F, 0xC0, 0x00, //    #######         
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    

    // @3042 'P' (20 pixels wide)
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x03, 0xFF, 0xC0, //       ############  
    0x03, 0xFF, 0xE0, //       ############# 
    0x03, 0x80, 0xF0, //       ###       ####
    0x07, 0x00, 0x70, //      ###         ###
    0x07, 0x00, 0x70, //      ###         ###
    0x07, 0x00, 0x70, //      ###         ###
    0x0E, 0x00, 0xE0, //     ###         ### 
    0x0E, 0x01, 0xE0, //     ###        #### 
    0x0E, 0x03, 0xC0, //     ###       ####  
    0x1F, 0xFF, 0x00, //    #############    
    0x1F, 0xFC, 0x00, //    ###########      
    0x1C, 0x00, 0x00, //    ###              
    0x38, 0x00, 0x00, //   ###               
    0x38, 0x00, 0x00, //   ###               
    0x38, 0x00, 0x00, //   ###               
    0x70, 0x00, 0x00, //  ###                
    0x70, 0x00, 0x00, //  ###                
    0x70, 0x00, 0x00, //  ###                
    0xE0, 0x00, 0x00, // ###                 
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     

    // @3120 'Q' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x7F, 0x00, //          #######   
    0x01, 0xFF, 0x80, //        ##########  
    0x07, 0xC3, 0xC0, //      #####    #### 
    0x0F, 0x01, 0xE0, //     ####       ####
    0x1C, 0x00, 0xE0, //    ###          ###
    0x38, 0x00, 0xE0, //   ###           ###
    0x38, 0x00, 0xE0, //   ###           ###
    0x70, 0x00, 0xE0, //  ###            ###
    0x70, 0x00, 0xE0, //  ###            ###
    0xE0, 0x01, 0xC0, // ###            ### 
    0xE0, 0x01, 0xC0, // ###            ### 
    0xE0, 0x03, 0x80, // ###           ###  
    0xE0, 0x03, 0x80, // ###           ###  
    0xE0, 0x67, 0x00, // ###      ##  ###   
    0xE0, 0xFE, 0x00, // ###     #######    
    0xF0, 0x7E, 0x00, // ####     ######    
    0xF8, 0x7C, 0x00, // #####    #####     
    0x7F, 0xFE, 0x00, //  ##############    
    0x1F, 0xCE, 0x00, //    #######  ###    
    0x00, 0x0C, 0x00, //             ##     
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    

    // @3198 'R' (21 pixels wide)
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x03, 0xFF, 0xE0, //       #############  
    0x03, 0xFF, 0xF8, //       ###############
    0x03, 0x80, 0x78, //       ###        ####
    0x07, 0x00, 0x38, //      ###          ###
    0x07, 0x00, 0x38, //      ###          ###
    0x07, 0x00, 0x38, //      ###          ###
    0x0E, 0x00, 0x70, //     ###          ### 
    0x0E, 0x00, 0xF0, //     ###         #### 
    0x0E, 0x01, 0xE0, //     ###        ####  
    0x1F, 0xFF, 0x80, //    ##############    
    0x1F, 0xFE, 0x00, //    ############      
    0x1C, 0x0F, 0x00, //    ###      ####     
    0x38, 0x07, 0x80, //   ###        ####    
    0x38, 0x03, 0x80, //   ###         ###    
    0x38, 0x03, 0x80, //   ###         ###    
    0x70, 0x03, 0x80, //  ###          ###    
    0x70, 0x03, 0x80, //  ###          ###    
    0x70, 0x03, 0x80, //  ###          ###    
    0xE0, 0x03, 0x80, // ###           ###    
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      

    // @3276 'S' (18 pixels wide)
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x7F, 0x00, //          #######  
    0x01, 0xFF, 0x80, //        ########## 
    0x07, 0x87, 0xC0, //      ####    #####
    0x07, 0x03, 0xC0, //      ###      ####
    0x0E, 0x01, 0xC0, //     ###        ###
    0x0E, 0x03, 0xC0, //     ###       ####
    0x1E, 0x00, 0x00, //    ####           
    0x0F, 0x80, 0x00, //     #####         
    0x0F, 0xF0, 0x00, //     ########      
    0x03, 0xFC, 0x00, //       ########    
    0x00, 0x7E, 0x00, //          ######   
    0x00, 0x1E, 0x00, //            ####   
    0xE0, 0x0E, 0x00, // ###         ###   
    0xE0, 0x0E, 0x00, // ###         ###   
    0xE0, 0x1C, 0x00, // ###        ###    
    0xF0, 0x1C, 0x00, // ####       ###    
    0xF8, 0x78, 0x00, // #####    ####     
    0x7F, 0xF0, 0x00, //  ###########      
    0x3F, 0xC0, 0x00, //   ########        
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   

    // @3354 'T' (15 pixels wide)
    0x00, 0x00, //                
    0x00, 0x00, //                
    0xFF, 0xFE, // ###############
    0xFF, 0xFE, // ###############
    0x03, 0x80, //       ###      
    0x07, 0x00, //      ###       
    0x07, 0x00, //      ###       
    0x07, 0x00, //      ###       
    0x0E, 0x00, //     ###        
    0x0E, 0x00, //     ###        
    0x0E, 0x00, //     ###        
    0x1C, 0x00, //    ###         
    0x1C, 0x00, //    ###         
    0x1C, 0x00, //    ###         
    0x38, 0x00, //   ###          
    0x38, 0x00, //   ###          
    0x38, 0x00, //   ###          
    0x70, 0x00, //  ###           
    0x70, 0x00, //  ###           
    0x70, 0x00, //  ###           
    0xE0, 0x00, // ###            
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                

    // @3406 'U' (21 pixels wide)
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x0E, 0x00, 0x38, //     ###           ###
    0x0E, 0x00, 0x38, //     ###           ###
    0x0E, 0x00, 0x38, //     ###           ###
    0x1C, 0x00, 0x70, //    ###           ### 
    0x1C, 0x00, 0x70, //    ###           ### 
    0x1C, 0x00, 0x70, //    ###           ### 
    0x38, 0x00, 0xE0, //   ###           ###  
    0x38, 0x00, 0xE0, //   ###           ###  
    0x38, 0x00, 0xE0, //   ###           ###  
    0x70, 0x01, 0xC0, //  ###           ###   
    0x70, 0x01, 0xC0, //  ###           ###   
    0x70, 0x01, 0xC0, //  ###           ###   
    0xE0, 0x03, 0x80, // ###           ###    
    0xE0, 0x03, 0x80, // ###           ###    
    0xE0, 0x07, 0x00, // ###          ###     
    0xE0, 0x0E, 0x00, // ###         ###      
    0xF8, 0x3E, 0x00, // #####     #####      
    0x7F, 0xF8, 0x00, //  ############        
    0x3F, 0xE0, 0x00, //   #########          
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      
    0x00, 0x00, 0x00, //                      

    // @3484 'V' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0xF0, 0x00, 0xE0, // ####            ###
    0x70, 0x01, 0xC0, //  ###           ### 
    0x70, 0x03, 0xC0, //  ###          #### 
    0x70, 0x03, 0x80, //  ###          ###  
    0x70, 0x07, 0x00, //  ###         ###   
    0x70, 0x0E, 0x00, //  ###        ###    
    0x70, 0x0E, 0x00, //  ###        ###    
    0x70, 0x1C, 0x00, //  ###       ###     
    0x70, 0x38, 0x00, //  ###      ###      
    0x70, 0x70, 0x00, //  ###     ###       
    0x70, 0x70, 0x00, //  ###     ###       
    0x70, 0xE0, 0x00, //  ###    ###        
    0x71, 0xC0, 0x00, //  ###   ###         
    0x73, 0x80, 0x00, //  ###  ###          
    0x73, 0x80, 0x00, //  ###  ###          
    0x7F, 0x00, 0x00, //  #######           
    0x7E, 0x00, 0x00, //  ######            
    0x3C, 0x00, 0x00, //   ####             
    0x3C, 0x00, 0x00, //   ####             
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    

    // @3562 'W' (27 pixels wide)
    0x00, 0x00, 0x00, 0x00, //                            
    0x00, 0x00, 0x00, 0x00, //                            
    0x78, 0x0F, 0x00, 0xE0, //  ####       ####        ###
    0x70, 0x0F, 0x01, 0xE0, //  ###        ####       ####
    0x70, 0x1F, 0x01, 0xC0, //  ###       #####       ### 
    0x70, 0x3F, 0x03, 0x80, //  ###      ######      ###  
    0x70, 0x3F, 0x03, 0x80, //  ###      ######      ###  
    0x70, 0x77, 0x07, 0x00, //  ###     ### ###     ###   
    0x70, 0x77, 0x0E, 0x00, //  ###     ### ###    ###    
    0x70, 0xE7, 0x0E, 0x00, //  ###    ###  ###    ###    
    0x71, 0xC7, 0x1C, 0x00, //  ###   ###   ###   ###     
    0x71, 0xC7, 0x3C, 0x00, //  ###   ###   ###  ####     
    0x73, 0x87, 0x38, 0x00, //  ###  ###    ###  ###      
    0x77, 0x07, 0x70, 0x00, //  ### ###     ### ###       
    0x77, 0x07, 0x70, 0x00, //  ### ###     ### ###       
    0x7E, 0x07, 0xE0, 0x00, //  ######      ######        
    0x7C, 0x07, 0xC0, 0x00, //  #####       #####         
    0x7C, 0x07, 0xC0, 0x00, //  #####       #####         
    0x78, 0x07, 0x80, 0x00, //  ####        ####          
    0xF0, 0x07, 0x80, 0x00, // ####         ####          
    0xF0, 0x07, 0x00, 0x00, // ####         ###           
    0x00, 0x00, 0x00, 0x00, //                            
    0x00, 0x00, 0x00, 0x00, //                            
    0x00, 0x00, 0x00, 0x00, //                            
    0x00, 0x00, 0x00, 0x00, //                            
    0x00, 0x00, 0x00, 0x00, //                            

    // @3666 'X' (24 pixels wide)
    0x00, 0x00, 0x00, //                         
    0x00, 0x00, 0x00, //                         
    0x01, 0xE0, 0x07, //        ####          ###
    0x00, 0xE0, 0x0E, //         ###         ### 
    0x00, 0x70, 0x3C, //          ###      ####  
    0x00, 0x70, 0x70, //          ###     ###    
    0x00, 0x78, 0xE0, //          ####   ###     
    0x00, 0x39, 0xC0, //           ###  ###      
    0x00, 0x3B, 0x80, //           ### ###       
    0x00, 0x1F, 0x00, //            #####        
    0x00, 0x1E, 0x00, //            ####         
    0x00, 0x1E, 0x00, //            ####         
    0x00, 0x3E, 0x00, //           #####         
    0x00, 0xE7, 0x00, //         ###  ###        
    0x01, 0xC7, 0x00, //        ###   ###        
    0x03, 0x87, 0x80, //       ###    ####       
    0x07, 0x03, 0x80, //      ###      ###       
    0x0E, 0x03, 0x80, //     ###       ###       
    0x1C, 0x01, 0xC0, //    ###         ###      
    0x38, 0x01, 0xC0, //   ###          ###      
    0xF0, 0x00, 0xE0, // ####            ###     
    0x00, 0x00, 0x00, //                         
    0x00, 0x00, 0x00, //                         
    0x00, 0x00, 0x00, //                         
    0x00, 0x00, 0x00, //                         
    0x00, 0x00, 0x00, //                         

    // @3744 'Y' (20 pixels wide)
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0xE0, 0x00, 0xF0, // ###             ####
    0x70, 0x01, 0xC0, //  ###           ###  
    0x70, 0x03, 0x80, //  ###          ###   
    0x78, 0x07, 0x00, //  ####        ###    
    0x38, 0x0E, 0x00, //   ###       ###     
    0x38, 0x1C, 0x00, //   ###      ###      
    0x1C, 0x38, 0x00, //    ###    ###       
    0x1C, 0x70, 0x00, //    ###   ###        
    0x0F, 0xC0, 0x00, //     ######          
    0x0F, 0x80, 0x00, //     #####           
    0x07, 0x00, 0x00, //      ###            
    0x07, 0x00, 0x00, //      ###            
    0x0E, 0x00, 0x00, //     ###             
    0x0E, 0x00, 0x00, //     ###             
    0x0E, 0x00, 0x00, //     ###             
    0x1C, 0x00, 0x00, //    ###              
    0x1C, 0x00, 0x00, //    ###              
    0x1C, 0x00, 0x00, //    ###              
    0x38, 0x00, 0x00, //   ###               
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     

    // @3822 'Z' (20 pixels wide)
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x01, 0xFF, 0xF0, //        #############
    0x01, 0xFF, 0xF0, //        #############
    0x00, 0x00, 0xE0, //                 ### 
    0x00, 0x01, 0xC0, //                ###  
    0x00, 0x03, 0x80, //               ###   
    0x00, 0x07, 0x00, //              ###    
    0x00, 0x0E, 0x00, //             ###     
    0x00, 0x1C, 0x00, //            ###      
    0x00, 0x38, 0x00, //           ###       
    0x00, 0x70, 0x00, //          ###        
    0x00, 0xE0, 0x00, //         ###         
    0x03, 0xC0, 0x00, //       ####          
    0x07, 0x80, 0x00, //      ####           
    0x0F, 0x00, 0x00, //     ####            
    0x1E, 0x00, 0x00, //    ####             
    0x38, 0x00, 0x00, //   ###               
    0x70, 0x00, 0x00, //  ###                
    0x7F, 0xFE, 0x00, //  ##############     
    0xFF, 0xFC, 0x00, // ##############      
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     
    0x00, 0x00, 0x00, //                     

    // @3900 '[' (14 pixels wide)
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0xFC, //         ######
    0x00, 0xFC, //         ######
    0x00, 0xE0, //         ###   
    0x01, 0xC0, //        ###    
    0x01, 0xC0, //        ###    
    0x01, 0xC0, //        ###    
    0x03, 0x80, //       ###     
    0x03, 0x80, //       ###     
    0x03, 0x80, //       ###     
    0x07, 0x00, //      ###      
    0x07, 0x00, //      ###      
    0x07, 0x00, //      ###      
    0x0E, 0x00, //     ###       
    0x0E, 0x00, //     ###       
    0x0E, 0x00, //     ###       
    0x1C, 0x00, //    ###        
    0x1C, 0x00, //    ###        
    0x1C, 0x00, //    ###        
    0x38, 0x00, //   ###         
    0x38, 0x00, //   ###         
    0x70, 0x00, //  ###          
    0x70, 0x00, //  ###          
    0x7E, 0x00, //  ######       
    0xFC, 0x00, // ######        

    // @3952 '\' (3 pixels wide)
    0x00, //    
    0x00, //    
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0xE0, // ###
    0x00, //    
    0x00, //    
    0x00, //    
    0x00, //    
    0x00, //    

    // @3978 ']' (14 pixels wide)
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0xFC, //         ######
    0x00, 0xFC, //         ######
    0x00, 0x1C, //            ###
    0x00, 0x38, //           ### 
    0x00, 0x38, //           ### 
    0x00, 0x38, //           ### 
    0x00, 0x70, //          ###  
    0x00, 0x70, //          ###  
    0x00, 0x70, //          ###  
    0x00, 0xE0, //         ###   
    0x00, 0xE0, //         ###   
    0x00, 0xE0, //         ###   
    0x01, 0xC0, //        ###    
    0x01, 0xC0, //        ###    
    0x01, 0xC0, //        ###    
    0x03, 0x80, //       ###     
    0x03, 0x80, //       ###     
    0x03, 0x80, //       ###     
    0x07, 0x00, //      ###      
    0x07, 0x00, //      ###      
    0x0E, 0x00, //     ###       
    0x0E, 0x00, //     ###       
    0x7E, 0x00, //  ######       
    0xFC, 0x00, // ######        

    // @4030 '^' (12 pixels wide)
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x01, 0xC0, //        ###  
    0x03, 0xC0, //       ####  
    0x07, 0xC0, //      #####  
    0x0E, 0xE0, //     ### ### 
    0x1C, 0xE0, //    ###  ### 
    0x38, 0xE0, //   ###   ### 
    0x70, 0xE0, //  ###    ### 
    0xE0, 0xF0, // ###     ####
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             
    0x00, 0x00, //             

    // @4082 '_' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0xFF, 0xFF, // ################
    0x00, 0x00, //                 

    // @4134 '`' (4 pixels wide)
    0x00, //     
    0xF0, // ####
    0xF0, // ####
    0x70, //  ###
    0x70, //  ###
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     

    // @4160 'a' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x03, 0xFC, //       ########  
    0x0F, 0xFE, //     ########### 
    0x1E, 0x0F, //    ####     ####
    0x3C, 0x0E, //   ####      ### 
    0x00, 0x0E, //             ### 
    0x03, 0xFE, //       ######### 
    0x1F, 0xFE, //    ############ 
    0x3C, 0x1C, //   ####     ###  
    0x70, 0x1C, //  ###       ###  
    0x70, 0x1C, //  ###       ###  
    0xE0, 0x38, // ###       ###   
    0xF0, 0xF8, // ####    #####   
    0x7F, 0xF8, //  ############   
    0x3F, 0x70, //   ###### ###    
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @4212 'b' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x03, 0x80, //       ###       
    0x03, 0x80, //       ###       
    0x03, 0x80, //       ###       
    0x07, 0x00, //      ###        
    0x07, 0x00, //      ###        
    0x07, 0xFC, //      #########  
    0x0F, 0xFE, //     ########### 
    0x0F, 0x8F, //     #####   ####
    0x0E, 0x07, //     ###      ###
    0x1C, 0x07, //    ###       ###
    0x1C, 0x07, //    ###       ###
    0x1C, 0x07, //    ###       ###
    0x38, 0x0E, //   ###       ### 
    0x38, 0x0E, //   ###       ### 
    0x38, 0x1C, //   ###      ###  
    0x70, 0x38, //  ###      ###   
    0x7C, 0x78, //  #####   ####   
    0x7F, 0xE0, //  ##########     
    0xFF, 0xC0, // ##########      
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @4264 'c' (14 pixels wide)
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x03, 0xF8, //       ####### 
    0x0F, 0xFC, //     ##########
    0x1E, 0x3C, //    ####   ####
    0x3C, 0x1C, //   ####     ###
    0x38, 0x1C, //   ###      ###
    0x70, 0x00, //  ###          
    0x70, 0x00, //  ###          
    0xE0, 0x00, // ###           
    0xE0, 0x00, // ###           
    0xE0, 0x78, // ###      #### 
    0xE0, 0x70, // ###      ###  
    0xF1, 0xE0, // ####   ####   
    0x7F, 0xC0, //  #########    
    0x3F, 0x00, //   ######      
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0x00, //               

    // @4316 'd' (17 pixels wide)
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x03, 0x80, //               ###
    0x00, 0x03, 0x80, //               ###
    0x00, 0x03, 0x80, //               ###
    0x00, 0x07, 0x00, //              ### 
    0x00, 0x07, 0x00, //              ### 
    0x03, 0xF7, 0x00, //       ###### ### 
    0x0F, 0xFE, 0x00, //     ###########  
    0x1E, 0x3E, 0x00, //    ####   #####  
    0x38, 0x1E, 0x00, //   ###      ####  
    0x38, 0x1C, 0x00, //   ###      ###   
    0x70, 0x1C, 0x00, //  ###       ###   
    0x70, 0x1C, 0x00, //  ###       ###   
    0xE0, 0x38, 0x00, // ###       ###    
    0xE0, 0x38, 0x00, // ###       ###    
    0xE0, 0x38, 0x00, // ###       ###    
    0xE0, 0xF0, 0x00, // ###     ####     
    0xF1, 0xF0, 0x00, // ####   #####     
    0xFF, 0xF0, 0x00, // ############     
    0x7E, 0xE0, 0x00, //  ###### ###      
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  
    0x00, 0x00, 0x00, //                  

    // @4394 'e' (15 pixels wide)
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x03, 0xF8, //       #######  
    0x0F, 0xFC, //     ########## 
    0x1E, 0x1E, //    ####    ####
    0x3C, 0x0E, //   ####      ###
    0x38, 0x0E, //   ###       ###
    0x70, 0x0E, //  ###        ###
    0x7F, 0xFE, //  ##############
    0xFF, 0xFC, // ############## 
    0xE0, 0x00, // ###            
    0xE0, 0x3C, // ###       #### 
    0xE0, 0x38, // ###       ###  
    0xF0, 0xF0, // ####    ####   
    0x7F, 0xE0, //  ##########    
    0x3F, 0x80, //   #######      
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                

    // @4446 'f' (13 pixels wide)
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0xF8, //         #####
    0x01, 0xF8, //        ######
    0x03, 0x80, //       ###    
    0x07, 0x00, //      ###     
    0x07, 0x00, //      ###     
    0x1F, 0xE0, //    ########  
    0x3F, 0xC0, //   ########   
    0x0E, 0x00, //     ###      
    0x0E, 0x00, //     ###      
    0x1C, 0x00, //    ###       
    0x1C, 0x00, //    ###       
    0x1C, 0x00, //    ###       
    0x38, 0x00, //   ###        
    0x38, 0x00, //   ###        
    0x38, 0x00, //   ###        
    0x70, 0x00, //  ###         
    0x70, 0x00, //  ###         
    0x70, 0x00, //  ###         
    0xE0, 0x00, // ###          
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              

    // @4498 'g' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x7E, 0xE0, //          ###### ###
    0x01, 0xFF, 0xC0, //        ########### 
    0x03, 0xC7, 0xC0, //       ####   ##### 
    0x07, 0x03, 0xC0, //      ###      #### 
    0x07, 0x03, 0x80, //      ###      ###  
    0x0E, 0x03, 0x80, //     ###       ###  
    0x0E, 0x03, 0x80, //     ###       ###  
    0x1C, 0x07, 0x00, //    ###       ###   
    0x1C, 0x07, 0x00, //    ###       ###   
    0x1C, 0x07, 0x00, //    ###       ###   
    0x1C, 0x1E, 0x00, //    ###     ####    
    0x1E, 0x3E, 0x00, //    ####   #####    
    0x1F, 0xFE, 0x00, //    ############    
    0x0F, 0xDC, 0x00, //     ###### ###     
    0x00, 0x1C, 0x00, //            ###     
    0x70, 0x38, 0x00, //  ###      ###      
    0xF0, 0xF0, 0x00, // ####    ####       
    0x7F, 0xE0, 0x00, //  ##########        
    0x3F, 0x80, 0x00, //   #######          

    // @4576 'h' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x03, 0x80, //       ###       
    0x03, 0x80, //       ###       
    0x03, 0x80, //       ###       
    0x07, 0x00, //      ###        
    0x07, 0x00, //      ###        
    0x07, 0x7C, //      ### #####  
    0x0F, 0xFE, //     ########### 
    0x0F, 0x8F, //     #####   ####
    0x0E, 0x0E, //     ###     ### 
    0x1C, 0x0E, //    ###      ### 
    0x1C, 0x0E, //    ###      ### 
    0x1C, 0x0E, //    ###      ### 
    0x38, 0x1C, //   ###      ###  
    0x38, 0x1C, //   ###      ###  
    0x38, 0x1C, //   ###      ###  
    0x70, 0x38, //  ###      ###   
    0x70, 0x38, //  ###      ###   
    0x70, 0x38, //  ###      ###   
    0xE0, 0x70, // ###      ###    
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @4628 'i' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x03, 0x80, //       ###
    0x03, 0x80, //       ###
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x07, 0x00, //      ### 
    0x0E, 0x00, //     ###  
    0x0E, 0x00, //     ###  
    0x0E, 0x00, //     ###  
    0x1C, 0x00, //    ###   
    0x1C, 0x00, //    ###   
    0x1C, 0x00, //    ###   
    0x38, 0x00, //   ###    
    0x38, 0x00, //   ###    
    0x38, 0x00, //   ###    
    0x70, 0x00, //  ###     
    0x70, 0x00, //  ###     
    0x70, 0x00, //  ###     
    0xE0, 0x00, // ###      
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @4680 'j' (13 pixels wide)
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x38, //           ###
    0x00, 0x38, //           ###
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x70, //          ### 
    0x00, 0xE0, //         ###  
    0x00, 0xE0, //         ###  
    0x00, 0xE0, //         ###  
    0x01, 0xC0, //        ###   
    0x01, 0xC0, //        ###   
    0x01, 0xC0, //        ###   
    0x03, 0x80, //       ###    
    0x03, 0x80, //       ###    
    0x03, 0x80, //       ###    
    0x07, 0x00, //      ###     
    0x07, 0x00, //      ###     
    0x07, 0x00, //      ###     
    0x0E, 0x00, //     ###      
    0x0E, 0x00, //     ###      
    0x1C, 0x00, //    ###       
    0x1C, 0x00, //    ###       
    0x78, 0x00, //  ####        
    0xF0, 0x00, // ####         

    // @4732 'k' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x03, 0x80, //       ###       
    0x03, 0x80, //       ###       
    0x03, 0x80, //       ###       
    0x07, 0x00, //      ###        
    0x07, 0x00, //      ###        
    0x07, 0x0F, //      ###    ####
    0x0E, 0x1C, //     ###    ###  
    0x0E, 0x38, //     ###   ###   
    0x0E, 0xE0, //     ### ###     
    0x1D, 0xC0, //    ### ###      
    0x1F, 0x80, //    ######       
    0x1F, 0xC0, //    #######      
    0x3D, 0xC0, //   #### ###      
    0x39, 0xE0, //   ###  ####     
    0x38, 0xE0, //   ###   ###     
    0x70, 0xE0, //  ###    ###     
    0x70, 0x70, //  ###     ###    
    0x70, 0x70, //  ###     ###    
    0xE0, 0x78, // ###      ####   
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @4784 'l' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x03, 0x80, //       ###
    0x03, 0x80, //       ###
    0x03, 0x80, //       ###
    0x07, 0x00, //      ### 
    0x07, 0x00, //      ### 
    0x07, 0x00, //      ### 
    0x0E, 0x00, //     ###  
    0x0E, 0x00, //     ###  
    0x0E, 0x00, //     ###  
    0x1C, 0x00, //    ###   
    0x1C, 0x00, //    ###   
    0x1C, 0x00, //    ###   
    0x38, 0x00, //   ###    
    0x38, 0x00, //   ###    
    0x38, 0x00, //   ###    
    0x70, 0x00, //  ###     
    0x70, 0x00, //  ###     
    0x70, 0x00, //  ###     
    0xE0, 0x00, // ###      
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @4836 'm' (23 pixels wide)
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x07, 0xFC, 0xFC, //      #########  ###### 
    0x0F, 0xFD, 0xFC, //     ########## ####### 
    0x0F, 0x9F, 0x9E, //     #####  ######  ####
    0x0E, 0x1E, 0x1C, //     ###    ####    ### 
    0x1C, 0x1C, 0x1C, //    ###     ###     ### 
    0x1C, 0x1C, 0x1C, //    ###     ###     ### 
    0x1C, 0x1C, 0x1C, //    ###     ###     ### 
    0x38, 0x38, 0x38, //   ###     ###     ###  
    0x38, 0x38, 0x38, //   ###     ###     ###  
    0x38, 0x38, 0x38, //   ###     ###     ###  
    0x70, 0x70, 0x70, //  ###     ###     ###   
    0x70, 0x70, 0x70, //  ###     ###     ###   
    0x70, 0x70, 0x70, //  ###     ###     ###   
    0xE0, 0xE0, 0xE0, // ###     ###     ###    
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        
    0x00, 0x00, 0x00, //                        

    // @4914 'n' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x07, 0x7C, //      ### #####  
    0x0F, 0xFE, //     ########### 
    0x0F, 0x8F, //     #####   ####
    0x0E, 0x0E, //     ###     ### 
    0x1C, 0x0E, //    ###      ### 
    0x1C, 0x0E, //    ###      ### 
    0x1C, 0x0E, //    ###      ### 
    0x38, 0x1C, //   ###      ###  
    0x38, 0x1C, //   ###      ###  
    0x38, 0x1C, //   ###      ###  
    0x70, 0x38, //  ###      ###   
    0x70, 0x38, //  ###      ###   
    0x70, 0x38, //  ###      ###   
    0xE0, 0x70, // ###      ###    
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @4966 'o' (15 pixels wide)
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x03, 0xF8, //       #######  
    0x0F, 0xFC, //     ########## 
    0x1E, 0x1E, //    ####    ####
    0x3C, 0x0E, //   ####      ###
    0x38, 0x0E, //   ###       ###
    0x70, 0x0E, //  ###        ###
    0x70, 0x0E, //  ###        ###
    0xE0, 0x1C, // ###        ### 
    0xE0, 0x1C, // ###        ### 
    0xE0, 0x38, // ###       ###  
    0xE0, 0x78, // ###      ####  
    0xF0, 0xF0, // ####    ####   
    0x7F, 0xC0, //  #########     
    0x3F, 0x00, //   ######       
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                
    0x00, 0x00, //                

    // @5018 'p' (18 pixels wide)
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x01, 0xFF, 0x00, //        #########  
    0x03, 0xFF, 0x80, //       ########### 
    0x03, 0xE3, 0xC0, //       #####   ####
    0x03, 0x81, 0xC0, //       ###      ###
    0x07, 0x01, 0xC0, //      ###       ###
    0x07, 0x01, 0xC0, //      ###       ###
    0x07, 0x01, 0xC0, //      ###       ###
    0x0E, 0x03, 0x80, //     ###       ### 
    0x0E, 0x03, 0x80, //     ###       ### 
    0x0E, 0x07, 0x00, //     ###      ###  
    0x1C, 0x0E, 0x00, //    ###      ###   
    0x1F, 0x1E, 0x00, //    #####   ####   
    0x1F, 0xF8, 0x00, //    ##########     
    0x3B, 0xF0, 0x00, //   ### ######      
    0x38, 0x00, 0x00, //   ###             
    0x70, 0x00, 0x00, //  ###              
    0x70, 0x00, 0x00, //  ###              
    0x70, 0x00, 0x00, //  ###              
    0xE0, 0x00, 0x00, // ###               

    // @5096 'q' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x03, 0xF7, //       ###### ###
    0x0F, 0xFE, //     ########### 
    0x1E, 0x3E, //    ####   ##### 
    0x38, 0x1E, //   ###      #### 
    0x38, 0x1C, //   ###      ###  
    0x70, 0x1C, //  ###       ###  
    0x70, 0x1C, //  ###       ###  
    0xE0, 0x38, // ###       ###   
    0xE0, 0x38, // ###       ###   
    0xE0, 0x38, // ###       ###   
    0xE0, 0xF0, // ###     ####    
    0xF1, 0xF0, // ####   #####    
    0xFF, 0xF0, // ############    
    0x7E, 0xE0, //  ###### ###     
    0x00, 0xE0, //         ###     
    0x01, 0xC0, //        ###      
    0x01, 0xC0, //        ###      
    0x01, 0xC0, //        ###      
    0x03, 0x80, //       ###       

    // @5148 'r' (13 pixels wide)
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x07, 0xF8, //      ########
    0x0F, 0xF0, //     ######## 
    0x0F, 0x00, //     ####     
    0x0E, 0x00, //     ###      
    0x1C, 0x00, //    ###       
    0x1C, 0x00, //    ###       
    0x1C, 0x00, //    ###       
    0x38, 0x00, //   ###        
    0x38, 0x00, //   ###        
    0x38, 0x00, //   ###        
    0x70, 0x00, //  ###         
    0x70, 0x00, //  ###         
    0x70, 0x00, //  ###         
    0xE0, 0x00, // ###          
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              

    // @5200 's' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x03, 0xFC, //       ########  
    0x0F, 0xFE, //     ########### 
    0x1E, 0x0F, //    ####     ####
    0x1C, 0x0F, //    ###      ####
    0x3C, 0x00, //   ####          
    0x3F, 0x00, //   ######        
    0x1F, 0xF0, //    #########    
    0x03, 0xF8, //       #######   
    0x00, 0x7C, //          #####  
    0x70, 0x3C, //  ###      ####  
    0xF0, 0x38, // ####      ###   
    0xF0, 0x70, // ####     ###    
    0x7F, 0xE0, //  ##########     
    0x3F, 0x80, //   #######       
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @5252 't' (10 pixels wide)
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x07, 0x00, //      ###  
    0x0E, 0x00, //     ###   
    0x0E, 0x00, //     ###   
    0x3F, 0xC0, //   ########
    0x7F, 0x80, //  ######## 
    0x1C, 0x00, //    ###    
    0x1C, 0x00, //    ###    
    0x38, 0x00, //   ###     
    0x38, 0x00, //   ###     
    0x38, 0x00, //   ###     
    0x70, 0x00, //  ###      
    0x70, 0x00, //  ###      
    0x70, 0x00, //  ###      
    0xE0, 0x00, // ###       
    0xE0, 0x00, // ###       
    0xFC, 0x00, // ######    
    0xF8, 0x00, // #####     
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0x00, //           

    // @5304 'u' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x0E, 0x07, //     ###      ###
    0x1C, 0x0E, //    ###      ### 
    0x1C, 0x0E, //    ###      ### 
    0x1C, 0x0E, //    ###      ### 
    0x38, 0x1C, //   ###      ###  
    0x38, 0x1C, //   ###      ###  
    0x38, 0x1C, //   ###      ###  
    0x70, 0x38, //  ###      ###   
    0x70, 0x38, //  ###      ###   
    0x70, 0x38, //  ###      ###   
    0xE0, 0x70, // ###      ###    
    0xF1, 0xF0, // ####   #####    
    0x7F, 0xF0, //  ###########    
    0x7E, 0xE0, //  ###### ###     
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 

    // @5356 'v' (13 pixels wide)
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0xE0, 0x78, // ###      ####
    0xE0, 0x70, // ###      ### 
    0xE0, 0xE0, // ###     ###  
    0xE1, 0xC0, // ###    ###   
    0xE1, 0xC0, // ###    ###   
    0xE3, 0x80, // ###   ###    
    0xE7, 0x00, // ###  ###     
    0xEF, 0x00, // ### ####     
    0xEE, 0x00, // ### ###      
    0xFC, 0x00, // ######       
    0xF8, 0x00, // #####        
    0xF8, 0x00, // #####        
    0xF0, 0x00, // ####         
    0xE0, 0x00, // ###          
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              

    // @5408 'w' (22 pixels wide)
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x70, 0x78, 0x3C, //  ###     ####     ####
    0x70, 0x78, 0x38, //  ###     ####     ### 
    0x70, 0xF8, 0x70, //  ###    #####    ###  
    0x71, 0xF8, 0xE0, //  ###   ######   ###   
    0x71, 0xF8, 0xE0, //  ###   ######   ###   
    0x73, 0xF9, 0xC0, //  ###  #######  ###    
    0x77, 0xFB, 0xC0, //  ### ######## ####    
    0x77, 0x7B, 0x80, //  ### ### #### ###     
    0x7E, 0x7F, 0x00, //  ######  #######      
    0x7E, 0x7F, 0x00, //  ######  #######      
    0xFC, 0x7E, 0x00, // ######   ######       
    0xF8, 0x7C, 0x00, // #####    #####        
    0xF8, 0x7C, 0x00, // #####    #####        
    0xF0, 0x78, 0x00, // ####     ####         
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       
    0x00, 0x00, 0x00, //                       

    // @5486 'x' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x07, 0x01, 0xE0, //      ###       ####
    0x07, 0x83, 0x80, //      ####     ###  
    0x03, 0x87, 0x00, //       ###    ###   
    0x03, 0x8E, 0x00, //       ###   ###    
    0x01, 0xDC, 0x00, //        ### ###     
    0x01, 0xF8, 0x00, //        ######      
    0x01, 0xF0, 0x00, //        #####       
    0x01, 0xE0, 0x00, //        ####        
    0x03, 0xF0, 0x00, //       ######       
    0x07, 0x70, 0x00, //      ### ###       
    0x0E, 0x78, 0x00, //     ###  ####      
    0x1C, 0x38, 0x00, //    ###    ###      
    0x38, 0x38, 0x00, //   ###     ###      
    0xF0, 0x1C, 0x00, // ####       ###     
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    

    // @5564 'y' (19 pixels wide)
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x00, 0x00, 0x00, //                    
    0x03, 0x81, 0xE0, //       ###      ####
    0x03, 0x81, 0xC0, //       ###      ### 
    0x03, 0x83, 0x80, //       ###     ###  
    0x03, 0x87, 0x00, //       ###    ###   
    0x03, 0x87, 0x00, //       ###    ###   
    0x03, 0x8E, 0x00, //       ###   ###    
    0x03, 0x9C, 0x00, //       ###  ###     
    0x03, 0xBC, 0x00, //       ### ####     
    0x03, 0xB8, 0x00, //       ### ###      
    0x03, 0xF0, 0x00, //       ######       
    0x03, 0xE0, 0x00, //       #####        
    0x03, 0xE0, 0x00, //       #####        
    0x03, 0xC0, 0x00, //       ####         
    0x03, 0x80, 0x00, //       ###          
    0x03, 0x80, 0x00, //       ###          
    0x07, 0x00, 0x00, //      ###           
    0x0E, 0x00, 0x00, //     ###            
    0x7C, 0x00, 0x00, //  #####             
    0xF8, 0x00, 0x00, // #####              

    // @5642 'z' (18 pixels wide)
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x03, 0xFF, 0xC0, //       ############
    0x07, 0xFF, 0x80, //      ############ 
    0x00, 0x07, 0x00, //              ###  
    0x00, 0x0E, 0x00, //             ###   
    0x00, 0x3C, 0x00, //           ####    
    0x00, 0x78, 0x00, //          ####     
    0x00, 0xE0, 0x00, //         ###       
    0x01, 0xC0, 0x00, //        ###        
    0x07, 0x80, 0x00, //      ####         
    0x0E, 0x00, 0x00, //     ###           
    0x1C, 0x00, 0x00, //    ###            
    0x78, 0x00, 0x00, //  ####             
    0x7F, 0xFC, 0x00, //  #############    
    0xFF, 0xF8, 0x00, // #############     
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   
    0x00, 0x00, 0x00, //                   

    // @5720 '{' (13 pixels wide)
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x78, //          ####
    0x00, 0xF8, //         #####
    0x01, 0xC0, //        ###   
    0x03, 0x80, //       ###    
    0x03, 0x80, //       ###    
    0x03, 0x80, //       ###    
    0x07, 0x00, //      ###     
    0x07, 0x00, //      ###     
    0x0E, 0x00, //     ###      
    0x0E, 0x00, //     ###      
    0x1C, 0x00, //    ###       
    0x78, 0x00, //  ####        
    0xF0, 0x00, // ####         
    0x38, 0x00, //   ###        
    0x38, 0x00, //   ###        
    0x38, 0x00, //   ###        
    0x38, 0x00, //   ###        
    0x38, 0x00, //   ###        
    0x70, 0x00, //  ###         
    0x70, 0x00, //  ###         
    0x70, 0x00, //  ###         
    0xF0, 0x00, // ####         
    0xFC, 0x00, // ######       
    0x78, 0x00, //  ####        

    // @5772 '|' (11 pixels wide)
    0x00, 0x00, //            
    0x00, 0x00, //            
    0x00, 0xE0, //         ###
    0x00, 0xE0, //         ###
    0x00, 0xE0, //         ###
    0x01, 0xC0, //        ### 
    0x01, 0xC0, //        ### 
    0x01, 0xC0, //        ### 
    0x03, 0x80, //       ###  
    0x03, 0x80, //       ###  
    0x03, 0x80, //       ###  
    0x07, 0x00, //      ###   
    0x07, 0x00, //      ###   
    0x07, 0x00, //      ###   
    0x0E, 0x00, //     ###    
    0x0E, 0x00, //     ###    
    0x0E, 0x00, //     ###    
    0x1C, 0x00, //    ###     
    0x1C, 0x00, //    ###     
    0x1C, 0x00, //    ###     
    0x38, 0x00, //   ###      
    0x38, 0x00, //   ###      
    0x70, 0x00, //  ###       
    0x70, 0x00, //  ###       
    0x70, 0x00, //  ###       
    0xE0, 0x00, // ###        

    // @5824 '}' (14 pixels wide)
    0x00, 0x00, //               
    0x00, 0x00, //               
    0x00, 0xF8, //         ##### 
    0x00, 0xF8, //         ##### 
    0x00, 0x38, //           ### 
    0x00, 0x38, //           ### 
    0x00, 0x38, //           ### 
    0x00, 0x38, //           ### 
    0x00, 0x70, //          ###  
    0x00, 0x70, //          ###  
    0x00, 0x70, //          ###  
    0x00, 0x70, //          ###  
    0x00, 0x70, //          ###  
    0x00, 0x7C, //          #####
    0x00, 0x78, //          #### 
    0x00, 0xE0, //         ###   
    0x01, 0xC0, //        ###    
    0x03, 0x80, //       ###     
    0x03, 0x80, //       ###     
    0x03, 0x80, //       ###     
    0x07, 0x00, //      ###      
    0x07, 0x00, //      ###      
    0x0E, 0x00, //     ###       
    0x0E, 0x00, //     ###       
    0x7C, 0x00, //  #####        
    0xF8, 0x00, // #####         

    // @5876 '~' (16 pixels wide)
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x1F, 0x00, //    #####        
    0x7F, 0xC7, //  #########   ###
    0x63, 0xFF, //  ##   ##########
    0xC0, 0xFC, // ##      ######  
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
    0x00, 0x00, //                 
};

// Character descriptors for Microsoft Sans Serif 16pt
// { [Char width in bits], [Offset into microsoftSansSerif_16ptCharBitmaps in bytes] }
const FONT_CHAR_INFO microsoftSansSerif_16ptDescriptors[] = 
{
    {9, 0},         // ! 
    {9, 52},        // " 
    {18, 104},      // # 
    {17, 182},      // $ 
    {19, 260},      // % 
    {17, 338},      // & 
    {4, 416},       // ' 
    {12, 442},      // ( 
    {12, 494},      // ) 
    {9, 546},       // * 
    {14, 598},      // + 
    {5, 650},       // , 
    {9, 676},       // - 
    {4, 728},       // . 
    {15, 754},      // / 
    {16, 806},      // 0 
    {10, 858},      // 1 
    {19, 910},      // 2 
    {17, 988},      // 3 
    {17, 1066},         // 4 
    {17, 1144},         // 5 
    {17, 1222},         // 6 
    {17, 1300},         // 7 
    {17, 1378},         // 8 
    {16, 1456},         // 9 
    {8, 1508},      // : 
    {9, 1534},      // ; 
    {15, 1586},         // < 
    {16, 1638},         // = 
    {16, 1690},         // > 
    {13, 1742},         // ? 
    {27, 1794},         // @ 
    {19, 1898},         // A 
    {19, 1976},         // B 
    {20, 2054},         // C 
    {21, 2132},         // D 
    {21, 2210},         // E 
    {20, 2288},         // F 
    {20, 2366},         // G 
    {23, 2444},         // H 
    {9, 2522},      // I 
    {17, 2574},         // J 
    {22, 2652},         // K 
    {14, 2730},         // L 
    {25, 2782},         // M 
    {23, 2886},         // N 
    {19, 2964},         // O 
    {20, 3042},         // P 
    {19, 3120},         // Q 
    {21, 3198},         // R 
    {18, 3276},         // S 
    {15, 3354},         // T 
    {21, 3406},         // U 
    {19, 3484},         // V 
    {27, 3562},         // W 
    {24, 3666},         // X 
    {20, 3744},         // Y 
    {20, 3822},         // Z 
    {14, 3900},         // [ 
    {3, 3952},      // '\' 
    {14, 3978},         // ] 
    {12, 4030},         // ^ 
    {16, 4082},         // _ 
    {4, 4134},      // ` 
    {16, 4160},         // a 
    {16, 4212},         // b 
    {14, 4264},         // c 
    {17, 4316},         // d 
    {15, 4394},         // e 
    {13, 4446},         // f 
    {19, 4498},         // g 
    {16, 4576},         // h 
    {9, 4628},      // i 
    {13, 4680},         // j 
    {16, 4732},         // k 
    {9, 4784},      // l 
    {23, 4836},         // m 
    {16, 4914},         // n 
    {15, 4966},         // o 
    {18, 5018},         // p 
    {16, 5096},         // q 
    {13, 5148},         // r 
    {16, 5200},         // s 
    {10, 5252},         // t 
    {16, 5304},         // u 
    {13, 5356},         // v 
    {22, 5408},         // w 
    {19, 5486},         // x 
    {19, 5564},         // y 
    {18, 5642},         // z 
    {13, 5720},         // { 
    {11, 5772},         // | 
    {14, 5824},         // } 
    {16, 5876},         // ~ 
};

// Font information for Microsoft Sans Serif 16pt
const FONT_INFO microsoftSansSerif_16ptFontInfo =
{
    26,
    '!',
    '~',
    2,
    microsoftSansSerif_16ptDescriptors,
    microsoftSansSerif_16ptBitmaps
};

