/* Copyright (c) 2016 Eran Duchan
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

#include "nrf_font.h"

// Character bitmaps for Microsoft Sans Serif 8pt
const uint8_t microsoftSansSerif_8ptBitmaps[] = 
{
    // @0 '!' (1 pixels wide)
    0x00, //  
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x00, //  
    0x80, // #
    0x00, //  
    0x00, //  
    0x00, //  

    // @14 '"' (3 pixels wide)
    0x00, //    
    0xA0, // # #
    0xA0, // # #
    0xA0, // # #
    0xA0, // # #
    0x00, //    
    0x00, //    
    0x00, //    
    0x00, //    
    0x00, //    
    0x00, //    
    0x00, //    
    0x00, //    
    0x00, //    

    // @28 '#' (7 pixels wide)
    0x00, //        
    0x14, //    # # 
    0x14, //    # # 
    0x14, //    # # 
    0x7E, //  ######
    0x28, //   # #  
    0x28, //   # #  
    0xFC, // ###### 
    0x50, //  # #   
    0x50, //  # #   
    0x50, //  # #   
    0x00, //        
    0x00, //        
    0x00, //        

    // @42 '$' (5 pixels wide)
    0x00, //      
    0x20, //   #  
    0x70, //  ### 
    0xA8, // # # #
    0xA8, // # # #
    0xA0, // # #  
    0x70, //  ### 
    0x28, //   # #
    0x28, //   # #
    0xA8, // # # #
    0x70, //  ### 
    0x20, //   #  
    0x00, //      
    0x00, //      

    // @56 '%' (10 pixels wide)
    0x00, 0x00, //           
    0x60, 0x00, //  ##       
    0x90, 0x80, // #  #    # 
    0x91, 0x00, // #  #   #  
    0x62, 0x00, //  ##   #   
    0x04, 0x00, //      #    
    0x08, 0x00, //     #     
    0x11, 0x80, //    #   ## 
    0x22, 0x40, //   #   #  #
    0x42, 0x40, //  #    #  #
    0x01, 0x80, //        ## 
    0x00, 0x00, //           
    0x00, 0x00, //           
    0x00, 0x00, //           

    // @84 '&' (7 pixels wide)
    0x00, //        
    0x30, //   ##   
    0x48, //  #  #  
    0x48, //  #  #  
    0x48, //  #  #  
    0x30, //   ##   
    0x50, //  # #   
    0x88, // #   #  
    0x8A, // #   # #
    0x84, // #    # 
    0x7A, //  #### #
    0x00, //        
    0x00, //        
    0x00, //        

    // @98 ''' (1 pixels wide)
    0x00, //  
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  

    // @112 '(' (3 pixels wide)
    0x00, //    
    0x20, //   #
    0x40, //  # 
    0x40, //  # 
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x40, //  # 
    0x40, //  # 
    0x20, //   #

    // @126 ')' (3 pixels wide)
    0x00, //    
    0x80, // #  
    0x40, //  # 
    0x40, //  # 
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x40, //  # 
    0x40, //  # 
    0x80, // #  

    // @140 '*' (5 pixels wide)
    0x00, //      
    0x20, //   #  
    0xA8, // # # #
    0x70, //  ### 
    0xD8, // ## ##
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      

    // @154 '+' (5 pixels wide)
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x20, //   #  
    0x20, //   #  
    0xF8, // #####
    0x20, //   #  
    0x20, //   #  
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      

    // @168 ',' (2 pixels wide)
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x40, //  #
    0x80, // # 
    0x00, //   
    0x00, //   

    // @182 '-' (4 pixels wide)
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0xF0, // ####
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     

    // @196 '.' (1 pixels wide)
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x80, // #
    0x00, //  
    0x00, //  
    0x00, //  

    // @210 '/' (4 pixels wide)
    0x00, //     
    0x10, //    #
    0x10, //    #
    0x10, //    #
    0x20, //   # 
    0x20, //   # 
    0x20, //   # 
    0x40, //  #  
    0x40, //  #  
    0x40, //  #  
    0x80, // #   
    0x80, // #   
    0x80, // #   
    0x00, //     

    // @224 '0' (5 pixels wide)
    0x00, //      
    0x70, //  ### 
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x70, //  ### 
    0x00, //      
    0x00, //      
    0x00, //      

    // @238 '1' (3 pixels wide)
    0x00, //    
    0x20, //   #
    0xE0, // ###
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x00, //    
    0x00, //    
    0x00, //    

    // @252 '2' (5 pixels wide)
    0x00, //      
    0x70, //  ### 
    0x88, // #   #
    0x88, // #   #
    0x08, //     #
    0x10, //    # 
    0x20, //   #  
    0x40, //  #   
    0x80, // #    
    0x80, // #    
    0xF8, // #####
    0x00, //      
    0x00, //      
    0x00, //      

    // @266 '3' (5 pixels wide)
    0x00, //      
    0x70, //  ### 
    0x88, // #   #
    0x08, //     #
    0x08, //     #
    0x30, //   ## 
    0x08, //     #
    0x08, //     #
    0x08, //     #
    0x88, // #   #
    0x70, //  ### 
    0x00, //      
    0x00, //      
    0x00, //      

    // @280 '4' (5 pixels wide)
    0x00, //      
    0x08, //     #
    0x18, //    ##
    0x28, //   # #
    0x28, //   # #
    0x48, //  #  #
    0x88, // #   #
    0xF8, // #####
    0x08, //     #
    0x08, //     #
    0x08, //     #
    0x00, //      
    0x00, //      
    0x00, //      

    // @294 '5' (5 pixels wide)
    0x00, //      
    0xF8, // #####
    0x80, // #    
    0x80, // #    
    0x80, // #    
    0xF0, // #### 
    0x88, // #   #
    0x08, //     #
    0x08, //     #
    0x88, // #   #
    0x70, //  ### 
    0x00, //      
    0x00, //      
    0x00, //      

    // @308 '6' (5 pixels wide)
    0x00, //      
    0x70, //  ### 
    0x88, // #   #
    0x80, // #    
    0x80, // #    
    0xB0, // # ## 
    0xC8, // ##  #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x70, //  ### 
    0x00, //      
    0x00, //      
    0x00, //      

    // @322 '7' (5 pixels wide)
    0x00, //      
    0xF8, // #####
    0x08, //     #
    0x08, //     #
    0x10, //    # 
    0x10, //    # 
    0x20, //   #  
    0x20, //   #  
    0x40, //  #   
    0x40, //  #   
    0x40, //  #   
    0x00, //      
    0x00, //      
    0x00, //      

    // @336 '8' (5 pixels wide)
    0x00, //      
    0x70, //  ### 
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x70, //  ### 
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x70, //  ### 
    0x00, //      
    0x00, //      
    0x00, //      

    // @350 '9' (5 pixels wide)
    0x00, //      
    0x70, //  ### 
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x98, // #  ##
    0x68, //  ## #
    0x08, //     #
    0x08, //     #
    0x88, // #   #
    0x70, //  ### 
    0x00, //      
    0x00, //      
    0x00, //      

    // @364 ':' (1 pixels wide)
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x80, // #
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x00, //  
    0x80, // #
    0x00, //  
    0x00, //  
    0x00, //  

    // @378 ';' (2 pixels wide)
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x40, //  #
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x40, //  #
    0x80, // # 
    0x00, //   
    0x00, //   

    // @392 '<' (5 pixels wide)
    0x00, //      
    0x00, //      
    0x00, //      
    0x18, //    ##
    0x30, //   ## 
    0x60, //  ##  
    0xC0, // ##   
    0x60, //  ##  
    0x30, //   ## 
    0x18, //    ##
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      

    // @406 '=' (5 pixels wide)
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0xF8, // #####
    0x00, //      
    0xF8, // #####
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      

    // @420 '>' (5 pixels wide)
    0x00, //      
    0x00, //      
    0x00, //      
    0xC0, // ##   
    0x60, //  ##  
    0x30, //   ## 
    0x18, //    ##
    0x30, //   ## 
    0x60, //  ##  
    0xC0, // ##   
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      

    // @434 '?' (5 pixels wide)
    0x00, //      
    0x70, //  ### 
    0x88, // #   #
    0x88, // #   #
    0x08, //     #
    0x10, //    # 
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x00, //      
    0x20, //   #  
    0x00, //      
    0x00, //      
    0x00, //      

    // @448 '@' (12 pixels wide)
    0x0F, 0x00, //     ####    
    0x30, 0xC0, //   ##    ##  
    0x40, 0x20, //  #        # 
    0x40, 0x20, //  #        # 
    0x87, 0x90, // #    ####  #
    0x88, 0x90, // #   #   #  #
    0x88, 0x90, // #   #   #  #
    0x89, 0x10, // #   #  #   #
    0x46, 0xE0, //  #   ## ### 
    0x40, 0x00, //  #          
    0x30, 0x60, //   ##     ## 
    0x0F, 0x80, //     #####   
    0x00, 0x00, //             
    0x00, 0x00, //             

    // @476 'A' (9 pixels wide)
    0x00, 0x00, //          
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x14, 0x00, //    # #   
    0x14, 0x00, //    # #   
    0x22, 0x00, //   #   #  
    0x22, 0x00, //   #   #  
    0x7F, 0x00, //  ####### 
    0x41, 0x00, //  #     # 
    0x80, 0x80, // #       #
    0x80, 0x80, // #       #
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @504 'B' (7 pixels wide)
    0x00, //        
    0xFC, // ###### 
    0x82, // #     #
    0x82, // #     #
    0x82, // #     #
    0xFC, // ###### 
    0x82, // #     #
    0x82, // #     #
    0x82, // #     #
    0x82, // #     #
    0xFC, // ###### 
    0x00, //        
    0x00, //        
    0x00, //        

    // @518 'C' (8 pixels wide)
    0x00, //         
    0x3C, //   ####  
    0x42, //  #    # 
    0x81, // #      #
    0x80, // #       
    0x80, // #       
    0x80, // #       
    0x80, // #       
    0x81, // #      #
    0x42, //  #    # 
    0x3C, //   ####  
    0x00, //         
    0x00, //         
    0x00, //         

    // @532 'D' (8 pixels wide)
    0x00, //         
    0xFC, // ######  
    0x82, // #     # 
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x82, // #     # 
    0xFC, // ######  
    0x00, //         
    0x00, //         
    0x00, //         

    // @546 'E' (7 pixels wide)
    0x00, //        
    0xFE, // #######
    0x80, // #      
    0x80, // #      
    0x80, // #      
    0xFC, // ###### 
    0x80, // #      
    0x80, // #      
    0x80, // #      
    0x80, // #      
    0xFE, // #######
    0x00, //        
    0x00, //        
    0x00, //        

    // @560 'F' (7 pixels wide)
    0x00, //        
    0xFE, // #######
    0x80, // #      
    0x80, // #      
    0x80, // #      
    0xFC, // ###### 
    0x80, // #      
    0x80, // #      
    0x80, // #      
    0x80, // #      
    0x80, // #      
    0x00, //        
    0x00, //        
    0x00, //        

    // @574 'G' (8 pixels wide)
    0x00, //         
    0x3C, //   ####  
    0x42, //  #    # 
    0x81, // #      #
    0x80, // #       
    0x80, // #       
    0x87, // #    ###
    0x81, // #      #
    0x81, // #      #
    0x43, //  #    ##
    0x3D, //   #### #
    0x00, //         
    0x00, //         
    0x00, //         

    // @588 'H' (8 pixels wide)
    0x00, //         
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0xFF, // ########
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x00, //         
    0x00, //         
    0x00, //         

    // @602 'I' (1 pixels wide)
    0x00, //  
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x00, //  
    0x00, //  
    0x00, //  

    // @616 'J' (5 pixels wide)
    0x00, //      
    0x08, //     #
    0x08, //     #
    0x08, //     #
    0x08, //     #
    0x08, //     #
    0x08, //     #
    0x08, //     #
    0x88, // #   #
    0x88, // #   #
    0x70, //  ### 
    0x00, //      
    0x00, //      
    0x00, //      

    // @630 'K' (7 pixels wide)
    0x00, //        
    0x84, // #    # 
    0x88, // #   #  
    0x90, // #  #   
    0xA0, // # #    
    0xC0, // ##     
    0xA0, // # #    
    0x90, // #  #   
    0x88, // #   #  
    0x84, // #    # 
    0x82, // #     #
    0x00, //        
    0x00, //        
    0x00, //        

    // @644 'L' (6 pixels wide)
    0x00, //       
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0xFC, // ######
    0x00, //       
    0x00, //       
    0x00, //       

    // @658 'M' (9 pixels wide)
    0x00, 0x00, //          
    0x80, 0x80, // #       #
    0x80, 0x80, // #       #
    0xC1, 0x80, // ##     ##
    0xC1, 0x80, // ##     ##
    0xA2, 0x80, // # #   # #
    0xA2, 0x80, // # #   # #
    0x94, 0x80, // #  # #  #
    0x94, 0x80, // #  # #  #
    0x88, 0x80, // #   #   #
    0x88, 0x80, // #   #   #
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @686 'N' (8 pixels wide)
    0x00, //         
    0x81, // #      #
    0xC1, // ##     #
    0xA1, // # #    #
    0xA1, // # #    #
    0x91, // #  #   #
    0x89, // #   #  #
    0x85, // #    # #
    0x85, // #    # #
    0x83, // #     ##
    0x81, // #      #
    0x00, //         
    0x00, //         
    0x00, //         

    // @700 'O' (8 pixels wide)
    0x00, //         
    0x3C, //   ####  
    0x42, //  #    # 
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x42, //  #    # 
    0x3C, //   ####  
    0x00, //         
    0x00, //         
    0x00, //         

    // @714 'P' (8 pixels wide)
    0x00, //         
    0xFC, // ######  
    0x82, // #     # 
    0x81, // #      #
    0x81, // #      #
    0x82, // #     # 
    0xFC, // ######  
    0x80, // #       
    0x80, // #       
    0x80, // #       
    0x80, // #       
    0x00, //         
    0x00, //         
    0x00, //         

    // @728 'Q' (8 pixels wide)
    0x00, //         
    0x3C, //   ####  
    0x42, //  #    # 
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x85, // #    # #
    0x42, //  #    # 
    0x3D, //   #### #
    0x00, //         
    0x00, //         
    0x00, //         

    // @742 'R' (9 pixels wide)
    0x00, 0x00, //          
    0xFC, 0x00, // ######   
    0x82, 0x00, // #     #  
    0x81, 0x00, // #      # 
    0x81, 0x00, // #      # 
    0x82, 0x00, // #     #  
    0xFE, 0x00, // #######  
    0x81, 0x00, // #      # 
    0x81, 0x00, // #      # 
    0x81, 0x00, // #      # 
    0x80, 0x80, // #       #
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @770 'S' (7 pixels wide)
    0x00, //        
    0x7C, //  ##### 
    0x82, // #     #
    0x82, // #     #
    0x80, // #      
    0x70, //  ###   
    0x0C, //     ## 
    0x02, //       #
    0x82, // #     #
    0x82, // #     #
    0x7C, //  ##### 
    0x00, //        
    0x00, //        
    0x00, //        

    // @784 'T' (9 pixels wide)
    0x00, 0x00, //          
    0xFF, 0x80, // #########
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @812 'U' (8 pixels wide)
    0x00, //         
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x81, // #      #
    0x42, //  #    # 
    0x3C, //   ####  
    0x00, //         
    0x00, //         
    0x00, //         

    // @826 'V' (9 pixels wide)
    0x00, 0x00, //          
    0x80, 0x80, // #       #
    0x80, 0x80, // #       #
    0x41, 0x00, //  #     # 
    0x41, 0x00, //  #     # 
    0x22, 0x00, //   #   #  
    0x22, 0x00, //   #   #  
    0x14, 0x00, //    # #   
    0x14, 0x00, //    # #   
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @854 'W' (13 pixels wide)
    0x00, 0x00, //              
    0x82, 0x08, // #     #     #
    0x82, 0x08, // #     #     #
    0x82, 0x08, // #     #     #
    0x45, 0x10, //  #   # #   # 
    0x45, 0x10, //  #   # #   # 
    0x28, 0xA0, //   # #   # #  
    0x28, 0xA0, //   # #   # #  
    0x28, 0xA0, //   # #   # #  
    0x10, 0x40, //    #     #   
    0x10, 0x40, //    #     #   
    0x00, 0x00, //              
    0x00, 0x00, //              
    0x00, 0x00, //              

    // @882 'X' (8 pixels wide)
    0x00, //         
    0x81, // #      #
    0x81, // #      #
    0x42, //  #    # 
    0x24, //   #  #  
    0x18, //    ##   
    0x18, //    ##   
    0x24, //   #  #  
    0x42, //  #    # 
    0x81, // #      #
    0x81, // #      #
    0x00, //         
    0x00, //         
    0x00, //         

    // @896 'Y' (9 pixels wide)
    0x00, 0x00, //          
    0x80, 0x80, // #       #
    0x80, 0x80, // #       #
    0x41, 0x00, //  #     # 
    0x22, 0x00, //   #   #  
    0x14, 0x00, //    # #   
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x08, 0x00, //     #    
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @924 'Z' (6 pixels wide)
    0x00, //       
    0xFC, // ######
    0x04, //      #
    0x08, //     # 
    0x08, //     # 
    0x10, //    #  
    0x20, //   #   
    0x40, //  #    
    0x40, //  #    
    0x80, // #     
    0xFC, // ######
    0x00, //       
    0x00, //       
    0x00, //       

    // @938 '[' (3 pixels wide)
    0x00, //    
    0xE0, // ###
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0xE0, // ###

    // @952 '\' (4 pixels wide)
    0x00, //     
    0x80, // #   
    0x80, // #   
    0x80, // #   
    0x40, //  #  
    0x40, //  #  
    0x40, //  #  
    0x20, //   # 
    0x20, //   # 
    0x20, //   # 
    0x10, //    #
    0x10, //    #
    0x10, //    #
    0x00, //     

    // @966 ']' (3 pixels wide)
    0x00, //    
    0xE0, // ###
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0x20, //   #
    0xE0, // ###

    // @980 '^' (5 pixels wide)
    0x20, //   #  
    0x50, //  # # 
    0x88, // #   #
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      

    // @994 '_' (7 pixels wide)
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0xFE, // #######
    0x00, //        

    // @1008 '`' (2 pixels wide)
    0x00, //   
    0x80, // # 
    0x40, //  #
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   
    0x00, //   

    // @1022 'a' (7 pixels wide)
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x78, //  ####  
    0x84, // #    # 
    0x7C, //  ##### 
    0x84, // #    # 
    0x84, // #    # 
    0x84, // #    # 
    0x7A, //  #### #
    0x00, //        
    0x00, //        
    0x00, //        

    // @1036 'b' (6 pixels wide)
    0x00, //       
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0xB8, // # ### 
    0xC4, // ##   #
    0x84, // #    #
    0x84, // #    #
    0x84, // #    #
    0xC4, // ##   #
    0xB8, // # ### 
    0x00, //       
    0x00, //       
    0x00, //       

    // @1050 'c' (6 pixels wide)
    0x00, //       
    0x00, //       
    0x00, //       
    0x00, //       
    0x78, //  #### 
    0x84, // #    #
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0x84, // #    #
    0x78, //  #### 
    0x00, //       
    0x00, //       
    0x00, //       

    // @1064 'd' (6 pixels wide)
    0x00, //       
    0x04, //      #
    0x04, //      #
    0x04, //      #
    0x74, //  ### #
    0x8C, // #   ##
    0x84, // #    #
    0x84, // #    #
    0x84, // #    #
    0x8C, // #   ##
    0x74, //  ### #
    0x00, //       
    0x00, //       
    0x00, //       

    // @1078 'e' (6 pixels wide)
    0x00, //       
    0x00, //       
    0x00, //       
    0x00, //       
    0x78, //  #### 
    0x84, // #    #
    0x84, // #    #
    0xFC, // ######
    0x80, // #     
    0x84, // #    #
    0x78, //  #### 
    0x00, //       
    0x00, //       
    0x00, //       

    // @1092 'f' (3 pixels wide)
    0x00, //    
    0x20, //   #
    0x40, //  # 
    0x40, //  # 
    0xE0, // ###
    0x40, //  # 
    0x40, //  # 
    0x40, //  # 
    0x40, //  # 
    0x40, //  # 
    0x40, //  # 
    0x00, //    
    0x00, //    
    0x00, //    

    // @1106 'g' (6 pixels wide)
    0x00, //       
    0x00, //       
    0x00, //       
    0x00, //       
    0x74, //  ### #
    0x8C, // #   ##
    0x84, // #    #
    0x84, // #    #
    0x84, // #    #
    0x8C, // #   ##
    0x74, //  ### #
    0x04, //      #
    0x04, //      #
    0x78, //  #### 

    // @1120 'h' (5 pixels wide)
    0x00, //      
    0x80, // #    
    0x80, // #    
    0x80, // #    
    0xB0, // # ## 
    0xC8, // ##  #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x00, //      
    0x00, //      
    0x00, //      

    // @1134 'i' (1 pixels wide)
    0x00, //  
    0x80, // #
    0x00, //  
    0x00, //  
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x00, //  
    0x00, //  
    0x00, //  

    // @1148 'j' (2 pixels wide)
    0x00, //   
    0x40, //  #
    0x00, //   
    0x00, //   
    0x40, //  #
    0x40, //  #
    0x40, //  #
    0x40, //  #
    0x40, //  #
    0x40, //  #
    0x40, //  #
    0x40, //  #
    0x40, //  #
    0x80, // # 

    // @1162 'k' (6 pixels wide)
    0x00, //       
    0x80, // #     
    0x80, // #     
    0x80, // #     
    0x88, // #   # 
    0x90, // #  #  
    0xA0, // # #   
    0xE0, // ###   
    0x90, // #  #  
    0x88, // #   # 
    0x84, // #    #
    0x00, //       
    0x00, //       
    0x00, //       

    // @1176 'l' (1 pixels wide)
    0x00, //  
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x00, //  
    0x00, //  
    0x00, //  

    // @1190 'm' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0xB3, 0x00, // # ##  ## 
    0xCC, 0x80, // ##  ##  #
    0x88, 0x80, // #   #   #
    0x88, 0x80, // #   #   #
    0x88, 0x80, // #   #   #
    0x88, 0x80, // #   #   #
    0x88, 0x80, // #   #   #
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @1218 'n' (5 pixels wide)
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0xB0, // # ## 
    0xC8, // ##  #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x00, //      
    0x00, //      
    0x00, //      

    // @1232 'o' (6 pixels wide)
    0x00, //       
    0x00, //       
    0x00, //       
    0x00, //       
    0x78, //  #### 
    0x84, // #    #
    0x84, // #    #
    0x84, // #    #
    0x84, // #    #
    0x84, // #    #
    0x78, //  #### 
    0x00, //       
    0x00, //       
    0x00, //       

    // @1246 'p' (6 pixels wide)
    0x00, //       
    0x00, //       
    0x00, //       
    0x00, //       
    0xB8, // # ### 
    0xC4, // ##   #
    0x84, // #    #
    0x84, // #    #
    0x84, // #    #
    0xC4, // ##   #
    0xB8, // # ### 
    0x80, // #     
    0x80, // #     
    0x80, // #     

    // @1260 'q' (6 pixels wide)
    0x00, //       
    0x00, //       
    0x00, //       
    0x00, //       
    0x74, //  ### #
    0x8C, // #   ##
    0x84, // #    #
    0x84, // #    #
    0x84, // #    #
    0x8C, // #   ##
    0x74, //  ### #
    0x04, //      #
    0x04, //      #
    0x04, //      #

    // @1274 'r' (3 pixels wide)
    0x00, //    
    0x00, //    
    0x00, //    
    0x00, //    
    0xA0, // # #
    0xC0, // ## 
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x80, // #  
    0x00, //    
    0x00, //    
    0x00, //    

    // @1288 's' (5 pixels wide)
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x70, //  ### 
    0x88, // #   #
    0x80, // #    
    0x70, //  ### 
    0x08, //     #
    0x88, // #   #
    0x70, //  ### 
    0x00, //      
    0x00, //      
    0x00, //      

    // @1302 't' (3 pixels wide)
    0x00, //    
    0x00, //    
    0x40, //  # 
    0x40, //  # 
    0xE0, // ###
    0x40, //  # 
    0x40, //  # 
    0x40, //  # 
    0x40, //  # 
    0x40, //  # 
    0x20, //   #
    0x00, //    
    0x00, //    
    0x00, //    

    // @1316 'u' (5 pixels wide)
    0x00, //      
    0x00, //      
    0x00, //      
    0x00, //      
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x88, // #   #
    0x98, // #  ##
    0x68, //  ## #
    0x00, //      
    0x00, //      
    0x00, //      

    // @1330 'v' (7 pixels wide)
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x82, // #     #
    0x82, // #     #
    0x44, //  #   # 
    0x44, //  #   # 
    0x28, //   # #  
    0x28, //   # #  
    0x10, //    #   
    0x00, //        
    0x00, //        
    0x00, //        

    // @1344 'w' (9 pixels wide)
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x88, 0x80, // #   #   #
    0x88, 0x80, // #   #   #
    0x55, 0x00, //  # # # # 
    0x55, 0x00, //  # # # # 
    0x55, 0x00, //  # # # # 
    0x22, 0x00, //   #   #  
    0x22, 0x00, //   #   #  
    0x00, 0x00, //          
    0x00, 0x00, //          
    0x00, 0x00, //          

    // @1372 'x' (6 pixels wide)
    0x00, //       
    0x00, //       
    0x00, //       
    0x00, //       
    0x84, // #    #
    0x48, //  #  # 
    0x30, //   ##  
    0x30, //   ##  
    0x30, //   ##  
    0x48, //  #  # 
    0x84, // #    #
    0x00, //       
    0x00, //       
    0x00, //       

    // @1386 'y' (7 pixels wide)
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x82, // #     #
    0x82, // #     #
    0x44, //  #   # 
    0x44, //  #   # 
    0x28, //   # #  
    0x28, //   # #  
    0x10, //    #   
    0x10, //    #   
    0x20, //   #    
    0xC0, // ##     

    // @1400 'z' (4 pixels wide)
    0x00, //     
    0x00, //     
    0x00, //     
    0x00, //     
    0xF0, // ####
    0x10, //    #
    0x20, //   # 
    0x40, //  #  
    0x40, //  #  
    0x80, // #   
    0xF0, // ####
    0x00, //     
    0x00, //     
    0x00, //     

    // @1414 '{' (5 pixels wide)
    0x00, //      
    0x18, //    ##
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0xC0, // ##   
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x18, //    ##

    // @1428 '|' (1 pixels wide)
    0x00, //  
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #
    0x80, // #

    // @1442 '}' (5 pixels wide)
    0x00, //      
    0xC0, // ##   
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x18, //    ##
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0x20, //   #  
    0xC0, // ##   

    // @1456 '~' (7 pixels wide)
    0x00, //        
    0x62, //  ##   #
    0x92, // #  #  #
    0x8C, // #   ## 
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
    0x00, //        
};

// Character descriptors for Microsoft Sans Serif 8pt
// { [Char width in bits], [Offset into microsoftSansSerif_8ptCharBitmaps in bytes] }
const FONT_CHAR_INFO microsoftSansSerif_8ptDescriptors[] = 
{
    {1, 0},         // ! 
    {3, 14},        // " 
    {7, 28},        // # 
    {5, 42},        // $ 
    {10, 56},       // % 
    {7, 84},        // & 
    {1, 98},        // ' 
    {3, 112},       // ( 
    {3, 126},       // ) 
    {5, 140},       // * 
    {5, 154},       // + 
    {2, 168},       // , 
    {4, 182},       // - 
    {1, 196},       // . 
    {4, 210},       // / 
    {5, 224},       // 0 
    {3, 238},       // 1 
    {5, 252},       // 2 
    {5, 266},       // 3 
    {5, 280},       // 4 
    {5, 294},       // 5 
    {5, 308},       // 6 
    {5, 322},       // 7 
    {5, 336},       // 8 
    {5, 350},       // 9 
    {1, 364},       // : 
    {2, 378},       // ; 
    {5, 392},       // < 
    {5, 406},       // = 
    {5, 420},       // > 
    {5, 434},       // ? 
    {12, 448},      // @ 
    {9, 476},       // A 
    {7, 504},       // B 
    {8, 518},       // C 
    {8, 532},       // D 
    {7, 546},       // E 
    {7, 560},       // F 
    {8, 574},       // G 
    {8, 588},       // H 
    {1, 602},       // I 
    {5, 616},       // J 
    {7, 630},       // K 
    {6, 644},       // L 
    {9, 658},       // M 
    {8, 686},       // N 
    {8, 700},       // O 
    {8, 714},       // P 
    {8, 728},       // Q 
    {9, 742},       // R 
    {7, 770},       // S 
    {9, 784},       // T 
    {8, 812},       // U 
    {9, 826},       // V 
    {13, 854},      // W 
    {8, 882},       // X 
    {9, 896},       // Y 
    {6, 924},       // Z 
    {3, 938},       // [ 
    {4, 952},       // '\' 
    {3, 966},       // ] 
    {5, 980},       // ^ 
    {7, 994},       // _ 
    {2, 1008},      // ` 
    {7, 1022},      // a 
    {6, 1036},      // b 
    {6, 1050},      // c 
    {6, 1064},      // d 
    {6, 1078},      // e 
    {3, 1092},      // f 
    {6, 1106},      // g 
    {5, 1120},      // h 
    {1, 1134},      // i 
    {2, 1148},      // j 
    {6, 1162},      // k 
    {1, 1176},      // l 
    {9, 1190},      // m 
    {5, 1218},      // n 
    {6, 1232},      // o 
    {6, 1246},      // p 
    {6, 1260},      // q 
    {3, 1274},      // r 
    {5, 1288},      // s 
    {3, 1302},      // t 
    {5, 1316},      // u 
    {7, 1330},      // v 
    {9, 1344},      // w 
    {6, 1372},      // x 
    {7, 1386},      // y 
    {4, 1400},      // z 
    {5, 1414},      // { 
    {1, 1428},      // | 
    {5, 1442},      // } 
    {7, 1456},      // ~ 
};

// Font information for Microsoft Sans Serif 8pt
const FONT_INFO microsoftSansSerif_8ptFontInfo =
{
    14,
    '!',
    '~',
    2,
    microsoftSansSerif_8ptDescriptors,
    microsoftSansSerif_8ptBitmaps,
};

